#..addons/eventscripts/shop/shop.py
#..addons/eventscripts/shop/shop.cfg

admins = ['STEAM_0:1:11108414', 'STEAM_X:X:XXXXXX', 'STEAM_X:X:XXXXXX']
# You can add more admins, just keep the syntax.

import es
import popuplib
import cPickle
import os
import playerlib
import effectlib
import gamethread
import cfglib
from random import randint
import psyco
psyco.full()


points = {}
flashed = set()

info = es.AddonInfo()
info.author      = "h!gh voltage (stonedegg)"
info.name        = "Shop Menu"
info.basename    = "shop"
info.version     = "v1.2 Public"
info.cfgpath     = "shop.cfg"

es.ServerVar('shopmenu', info.version, 'Shop Menu - Made by h!gh voltage (stonedegg)').makepublic()

config = cfglib.AddonCFG(es.getAddonPath("shop") + "/" + info.cfgpath)

config.text("*****************************************") 
config.text("    " + info.name + " " + info.version)
config.text("    Configuration File")
config.text("*****************************************")
config.text("")
config.text("")
config.text("*****************************************")
config.text("    Enable/Disable Features")
config.text("*****************************************")
config.text("    Note: All Features are enabled by default")
config.text("*****************************************")
config.text("")
config.text("    1 = Enabled / 0 = Disabled")
config.text("")


weapon_buy_menu_enabled = config.cvar("weapon_buy_menu_enabled", "1", "This enables / disables the weapon buy menu")
spawn_menu_enabled = config.cvar("spawn_menu_enabled", "1", "This enables / disables the weapon spawn feature")
fun_features_menu_enabled = config.cvar("fun_features_menu_enabled", "1", "This enables / disables the fun features")
health_menu_enabled = config.cvar("health_menu_enabled", "1", "This enables / disables the health buy menu")
kill_bonus_menu_enabled = config.cvar("kill_bonus_menu_enabled", "1", "This enables / disables the kill bonus feature")
respawn_menu_enabled = config.cvar("respawn_menu_enabled", "1", "This enables / disables the respawn feature")
unlimited_ammo_menu_enabled = config.cvar("unlimited_ammo_menu_enabled", "1", "This enables / disables the unlimited ammo feature")
invis_menu_enabled = config.cvar("invis_menu_enabled", "1", "This enables / disables the invisibility feature")
tracers_menu_enabled = config.cvar("tracers_menu_enabled", "1", "This enables / disables the tracers feature")
no_falldamage_menu_enabled = config.cvar("no_falldamage_menu_enabled", "1", "This enables / disables the no falldamage feature")
hitmarker_menu_enabled = config.cvar("hitmarker_menu_enabled", "1", "This enables / disables the hitmarker feature")
send_credits_menu_enabled = config.cvar("send_credits_menu_enabled", "1", "This enables / disables the send credits feature")
sell_menu_enabled = config.cvar("sell_menu_enabled", "1", "This enables / disables the sell features menu")
admin_menu_enabled = config.cvar("admin_menu_enabled", "1", "This enables / disables the admin menu")
skins_menu_enabled = config.cvar("skins_menu_enabled", "1", "This enables / disables the skins feature")
trails_menu_enabled = config.cvar("trails_menu_enabled", "1", "This enables / disables the trails feature")

config.text("")
config.text("*****************************************")
config.text("    Credit Earnings")
config.text("*****************************************")
config.text("")

kill_amount = config.cvar("kill_amount", "2", "The amount of credits a player earns for a kill")
headshot_amount = config.cvar("headshot_amount", "3", "The amount of credits a player earns for a headshot")
tk_amount = config.cvar("tk_amount", "2", "The amount of credits a player looses for a teamkill")
bomb_planted_amount = config.cvar("bomb_planted_amount", "3", "The amount of credits a player earns for planting the bomb")
bomb_exploded_amount = config.cvar("bomb_exploded_amount", "5", "The amount of credits a player earns for bomb explode")
bomb_defused_amount = config.cvar("bomb_defused_amount", "5", "The amount of credits a player earns for defusing the bomb")
hostage_rescued_amount = config.cvar("hostage_rescued_amount", "2", "The amount of credits a player earns for rescueing a hostage (counts for every hostage)")
hostage_killed_amount = config.cvar("hostage_killed_amount", "2", "The amount of credits a player looses for killing a hostage")

config.text("")
config.text("*****************************************")
config.text("    Weapon Prices")
config.text("*****************************************")
config.text("")
config.text("*****************************************")
config.text("    Pistols")
config.text("*****************************************")

buy_glock = config.cvar("buy_glock", "2", "The amount of credits a player must pay for a glock")
buy_usp = config.cvar("buy_usp", "3", "The amount of credits a player must pay for a usp")
buy_p228 = config.cvar("buy_p228", "3", "The amount of credits a player must pay for a p228")
buy_deagle = config.cvar("buy_deagle", "5", "The amount of credits a player must pay for a deagle")
buy_fiveseven = config.cvar("buy_fiveseven", "5", "The amount of credits a player must pay for a fiveseven")
buy_elite = config.cvar("buy_elite", "5", "The amount of credits a player must pay for elite")

config.text("")
config.text("*****************************************")
config.text("    Shotguns")
config.text("*****************************************")

buy_m3 = config.cvar("buy_m3", "6", "The amount of credits a player must pay for a m3")
buy_autoshotgun = config.cvar("buy_autoshotgun", "6", "The amount of credits a player must pay for a autoshotgun")

config.text("")
config.text("*****************************************")
config.text("    SMGs")
config.text("*****************************************")

buy_tmp = config.cvar("buy_tmp", "5", "The amount of credits a player must pay for a tmp")
buy_mp5 = config.cvar("buy_mp5", "6", "The amount of credits a player must pay for a mp5")
buy_ump45 = config.cvar("buy_ump45", "6", "The amount of credits a player must pay for a ump45")
buy_p90 = config.cvar("buy_p90", "7", "The amount of credits a player must pay for a p90")

config.text("")
config.text("*****************************************")
config.text("    Rifles")
config.text("*****************************************")


buy_famas = config.cvar("buy_famas", "8", "The amount of credits a player must pay for a famas")
buy_galil = config.cvar("buy_galil", "8", "The amount of credits a player must pay for a galil")
buy_scout = config.cvar("buy_scout", "8", "The amount of credits a player must pay for a scout")
buy_bullpup = config.cvar("buy_bullpup", "10", "The amount of credits a player must pay for a bullpup")
buy_krieg = config.cvar("buy_krieg", "9", "The amount of credits a player must pay for a krieg")
buy_ak = config.cvar("buy_ak", "8", "The amount of credits a player must pay for a AK47")
buy_m4 = config.cvar("buy_m4", "9", "The amount of credits a player must pay for a M4A1")
buy_awp = config.cvar("buy_awp", "11", "The amount of credits a player must pay for a AWP")
buy_autosniperct = config.cvar("buy_autosniperct", "10", "The amount of credits a player must pay for a Auto Sniper (CT)")
buy_autosnipert = config.cvar("buy_autosnipert", "10", "The amount of credits a player must pay for a Auto Sniper (T)")

config.text("")
config.text("*****************************************")
config.text("    Machine Gun")
config.text("*****************************************")

buy_m249 = config.cvar("buy_m249", "12", "The amount of credits a player must pay for a M249")

config.text("")
config.text("*****************************************")
config.text("    Equipment")
config.text("*****************************************")

buy_primammo = config.cvar("buy_primammo", "2", "The amount of credits a player must pay for primary ammo")
buy_secammo = config.cvar("buy_secammo", "2", "The amount of credits a player must pay for secondary ammo")
buy_vest = config.cvar("buy_vest", "4", "The amount of credits a player must pay for kevlar ")
buy_vesthelm = config.cvar("buy_vesthelm", "6", "The amount of credits a player must pay for kevlar + helmet ")
buy_flashbang = config.cvar("buy_flashbang", "3", "The amount of credits a player must pay for a flashbang")
buy_hegrenade = config.cvar("buy_hegrenade", "3", "The amount of credits a player must pay for a HE grenade")
buy_smoke = config.cvar("buy_smoke", "3", "The amount of credits a player must pay for a smoke grenade")
buy_defuser = config.cvar("buy_defuser", "3", "The amount of credits a player must pay for a defuser")

config.text("")
config.text("*****************************************")
config.text("    Features Prices")
config.text("*****************************************")
config.text("")
config.text("*****************************************")
config.text("    Weapon Spawn Prices")
config.text("*****************************************")

buy_akspawn = config.cvar("buy_akspawn", "40", "The amount of credits a player must pay for the AK47 spawn feature")
buy_m4spawn = config.cvar("buy_m4spawn", "40", "The amount of credits a player must pay for the M4A1 spawn feature")
buy_awpspawn = config.cvar("buy_awpspawn", "50", "The amount of credits a player must pay for the AWP spawn feature")

config.text("*****************************************")
config.text("    Extra Health Prices")
config.text("*****************************************")

buy_health10 = config.cvar("buy_health10", "10", "The amount of credits a player must pay for 10 extra HP")
buy_health20 = config.cvar("buy_health20", "20", "The amount of credits a player must pay for 20 extra HP")
buy_health30 = config.cvar("buy_health30", "30", "The amount of credits a player must pay for 30 extra HP")
buy_health40 = config.cvar("buy_health40", "40", "The amount of credits a player must pay for 40 extra HP")
buy_health50 = config.cvar("buy_health50", "50", "The amount of credits a player must pay for 50 extra HP")

config.text("")
config.text("*****************************************")
config.text("    Extra Spawn Health Prices")
config.text("*****************************************")

buy_roundstarthealth10 = config.cvar("buy_roundstarthealth10", "50", "The amount of credits a player must pay for 10 extra HP on every spawn")
buy_roundstarthealth20 = config.cvar("buy_roundstarthealth20", "100", "The amount of credits a player must pay for 20 extra HP on every spawn")
buy_roundstarthealth30 = config.cvar("buy_roundstarthealth30", "150", "The amount of credits a player must pay for 30 extra HP on every spawn")
buy_roundstarthealth40 = config.cvar("buy_roundstarthealth40", "200", "The amount of credits a player must pay for 40 extra HP on every spawn")
buy_roundstarthealth50 = config.cvar("buy_roundstarthealth50", "250", "The amount of credits a player must pay for 50 extra HP on every spawn")

config.text("")
config.text("*****************************************")
config.text("    Kill Bonus Prices")
config.text("*****************************************")

buy_killbonus = config.cvar("buy_killbonus", "30", "The amount of credits a player must pay for kill HP bonus feature")
killhealthbonus = config.cvar("killhealthbonus", "10", "The amount of HP a player get for killing an enemy if the kill bonus feature is activated")
buy_headshotbonus = config.cvar("buy_headshotbonus", "40", "The amount of credits a player must pay for headshot HP bonus. This feature includes the killbonus feature.")
headshothealthbonus = config.cvar("headshothealthbonus", "20", "The amount of HP a player gets for killing an enemy with headshot.")

config.text("")
config.text("*****************************************")
config.text("    Fun Features Prices")
config.text("*****************************************")

buy_lowgrav = config.cvar("buy_lowgrav", "100", "The amount of credits a player must pay for the low gravity feature")
buy_speed = config.cvar("buy_speed", "150", "The amount of credits a player must pay for the speed feature")
buy_startmoney = config.cvar("buy_startmoney", "50", "The amount of credits a player must pay for the 16000$ Startmoney feature")
buy_halfinvis = config.cvar("buy_halfinvis", "50", "The amount of credits a player must pay for the half invisibility feature")
buy_fullinvis = config.cvar("buy_fullinvis", "150", "The amount of credits a player must pay for the full invisibility feature")
buy_randomtracer = config.cvar("buy_randomtracer", "50", "The amount of credits a player must pay for the random coloured tracers feature")
buy_redtracer = config.cvar("buy_redtracer", "40", "The amount of credits a player must pay for the red coloured tracers feature")
buy_greentracer = config.cvar("buy_greentracer", "40", "The amount of credits a player must pay for the green coloured tracers feature")
buy_bluetracer = config.cvar("buy_bluetracer", "40", "The amount of credits a player must pay for the blue coloured tracers feature")
buy_superman = config.cvar("buy_superman", "50", "The amount of credits a player must pay for the Superman model")
buy_spiderman = config.cvar("buy_spiderman", "50", "The amount of credits a player must pay for the Superman model")
buy_ironman = config.cvar("buy_ironman", "50", "The amount of credits a player must pay for the Superman model")
buy_bunny = config.cvar("buy_bunny", "80", "The amount of credits a player must pay for the Bunny (Max) model")
buy_bananajoe = config.cvar("buy_bananajoe", "80", "The amount of credits a player must pay for the Banana Joe model")
buy_randomtrail = config.cvar("buy_randomtrail", "50", "The amount of credits a player must pay for a random trail ")
buy_redtrail = config.cvar("buy_redtrail", "40", "The amount of credits a player must pay for a red trail")
buy_greentrail = config.cvar("buy_greentrail", "40", "The amount of credits a player must pay for a green trail")
buy_bluetrail = config.cvar("buy_bluetrail", "40", "The amount of credits a player must pay for a blue trail")

config.text("")
config.text("*****************************************")
config.text("    Respawn Price")
config.text("*****************************************")

buy_respawn = config.cvar("buy_respawn", "100", "The amount of credits a player must pay for the respawn feature. The player will be able to choose to respawn after death.")

config.text("")
config.text("*****************************************")
config.text("    Unlimited Ammo Prices")
config.text("*****************************************")

buy_unlimitedammo = config.cvar("buy_unlimitedammo", "50", "The amount of credits a player must pay for the unlimited ammo feature")
buy_unlimitednades = config.cvar("buy_unlimitednades", "40", "The amount of credits a player must pay for the unlimited nads feature")

config.text("")
config.text("*****************************************")
config.text("    No Falldamage Price")
config.text("*****************************************")

buy_nofalldamage = config.cvar("buy_nofalldamage", "20", "The amount of credits a player must pay for the no falldamage feature")

config.text("")
config.text("*****************************************")
config.text("    Hitmarker Price")
config.text("*****************************************")

buy_hitmarker = config.cvar("buy_hitmarker", "30", "The amount of credits a player must pay for the hitmarker feature. The player will see a hitmarker in the middle of the screen when he hurts/blinds an enemy.")

config.text("")
config.text("*****************************************")
config.text("    Configuration finished")
config.text("*****************************************")
config.write()

def load():
    global points
    dictPath = os.path.join( es.getAddonPath( info.basename ), "data.db" )
    if os.path.isfile(dictPath):
        fileStream = open(dictPath, 'r')
        points = cPickle.load(fileStream)
        fileStream.close()
    es.msg('#multi', '#green[Shop Menu] #lightgreenhas been loaded.')
    es.doblock("corelib/noisy_on")
    config.execute()

def unload():
    es.msg('#multi', '#green[Shop Menu] #lightgreenhas been unloaded.')
    save_database()
    es.doblock("corelib/noisy_off")
    for userid in es.getUseridList():
        gamethread.cancelDelayed('trail_%s'%userid)
        gamethread.cancelDelayed('trail2_%s'%userid)
        gamethread.cancelDelayed('trail3_%s'%userid)
        gamethread.cancelDelayed('trail4_%s'%userid)

def save_database():
    dictPath = os.path.join( es.getAddonPath( info.basename ), "data.db" )
    fileStream = open(dictPath, 'w')
    cPickle.dump(points, fileStream)
    fileStream.close()

def es_map_start():
    save_database()
    for userid in es.getUseridList():
        gamethread.cancelDelayed('trail_%s'%userid)
        gamethread.cancelDelayed('trail2_%s'%userid)
        gamethread.cancelDelayed('trail3_%s'%userid)
        gamethread.cancelDelayed('trail4_%s'%userid)
    if hitmarker_menu_enabled:
        es.stringtable('downloadables','materials/overlays/hitmarker/hitmarkerv2.vtf')
        es.stringtable('downloadables','materials/overlays/hitmarker/hitmarkerv2.vmt')
    if skins_menu_enabled:
        es.stringtable('downloadables','materials/models/player/techknow/spiderman3/body.vmt')
        es.stringtable('downloadables','materials/models/player/techknow/spiderman3/body.vtf')
        es.stringtable('downloadables','materials/models/player/techknow/spiderman3/body_n.vtf')
        es.stringtable('downloadables','models/player/techknow/spiderman3/spiderman3.dx80.vtx')
        es.stringtable('downloadables','models/player/techknow/spiderman3/spiderman3.dx90.vtx')
        es.stringtable('downloadables','models/player/techknow/spiderman3/spiderman3.mdl')
        es.stringtable('downloadables','models/player/techknow/spiderman3/spiderman3.phy')
        es.stringtable('downloadables','models/player/techknow/spiderman3/spiderman3.sw.vtx')
        es.stringtable('downloadables','models/player/techknow/spiderman3/spiderman3.vvd')
        es.stringtable('downloadables','materials/models/player/techknow/superman/suit.vmt')
        es.stringtable('downloadables','materials/models/player/techknow/superman/suit.vt')
        es.stringtable('downloadables','materials/models/player/techknow/superman/suit_n.vtf')
        es.stringtable('downloadables','models/player/techknow/superman/superman.dx80.vtx')
        es.stringtable('downloadables','models/player/techknow/superman/superman.dx90.vtx')
        es.stringtable('downloadables','models/player/techknow/superman/superman.mdl')
        es.stringtable('downloadables','models/player/techknow/superman/superman.phy')
        es.stringtable('downloadables','models/player/techknow/superman/superman.sw.vtx')
        es.stringtable('downloadables','models/player/techknow/superman/superman.vvd')
        es.stringtable('downloadables','models/player/techknow/ironman_v3/ironman3.dx80.vtx')
        es.stringtable('downloadables','models/player/techknow/ironman_v3/ironman3.dx90.vtx')
        es.stringtable('downloadables','models/player/techknow/ironman_v3/ironman3.mdl')
        es.stringtable('downloadables','models/player/techknow/ironman_v3/ironman3.phy')
        es.stringtable('downloadables','models/player/techknow/ironman_v3/ironman3.sw.vtx')
        es.stringtable('downloadables','models/player/techknow/ironman_v3/ironman3.vvd')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/body.vmt')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/body.vtf')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/body_n.vtf')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/flame.vmt')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/flame.vtf')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/head.vmt')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/head.vtf')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/head_n.vtf')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/sphere.vmt')
        es.stringtable('downloadables','materials/models/player/techknow/ironman_v3/sphere.vtf')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_black.vmt')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_black.vtf')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_ears.vmt')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_ears.vtf')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_feet.vmt')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_feet.vtf')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_max.vmt')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_pink.vmt')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_pink.vtf')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_teeth.vmt')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_teeth.vtf')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_white.vmt')
        es.stringtable('downloadables','materials/models/player/slow/sam_and_max/max/slow_white.vtf')
        es.stringtable('downloadables','models/player/slow/sam_and_max/max/slow_v2.dx80.vtx')
        es.stringtable('downloadables','models/player/slow/sam_and_max/max/slow_v2.dx90.vtx')
        es.stringtable('downloadables','models/player/slow/sam_and_max/max/slow_v2.mdl')
        es.stringtable('downloadables','models/player/slow/sam_and_max/max/slow_v2.sw.vtx')
        es.stringtable('downloadables','models/player/slow/sam_and_max/max/slow_v2.vvd')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_body.vmt')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_body.vtf')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_body_bump.vtf')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_eyes.vmt')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_eyes.vtf')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_limbs.vmt')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_limbs.vtf')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_limbs_bump.vtf')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_mouth.vmt')
        es.stringtable('downloadables','materials/models/player/slow/banana_joe/slow_mouth.vtf')
        es.stringtable('downloadables','models/player/slow/banana_joe/slow.dx80.vtx')
        es.stringtable('downloadables','models/player/slow/banana_joe/slow.dx90.vtx')
        es.stringtable('downloadables','models/player/slow/banana_joe/slow.mdl')
        es.stringtable('downloadables','models/player/slow/banana_joe/slow.phy')
        es.stringtable('downloadables','models/player/slow/banana_joe/slow.sw.vtx')
        es.stringtable('downloadables','models/player/slow/banana_joe/slow.vvd')


def round_start(ev):
    save_database()

def tell(userid, text):
    es.tell(userid, '#multi', '#green[Shop Menu] #lightgreen ' + text)

def es_player_validated(ev):
    steamid = ev["networkid"]
    if not points.has_key(steamid):
        points[steamid] = {}
        points[steamid]["credits"] = 0

def player_death(ev):
    userid = int(ev['userid'])
    attacker = int(ev['attacker'])
    vsteamid = ev['es_steamid']
    steamid = ev['es_attackersteamid']
    headshot = ev['headshot']
    if steamid != 'BOT':
        if userid != attacker:
            if ev["es_attackerteam"] != ev["es_userteam"]:
                if headshot == '1':
                    points[steamid]["credits"] += headshot_amount
                    tell(attacker, 'You earned #green%s credits #lightgreenfor a headshot kill.' %headshot_amount)
                else:
                    points[steamid]["credits"] += kill_amount
                    tell(attacker, 'You earned #green%s credit(s) #lightgreenfor a kill.' %kill_amount)
            else:
                points[steamid]["credits"] -= tk_amount
                tell(attacker, 'You lost #green%s credit(s) #lightgreenfor killing your teammate.' %tk_amount)
    if 'killbonus' in points[steamid] and points[steamid]['killbonus'] == 1:
        if userid != attacker: 
            if ev["es_attackerteam"] != ev["es_userteam"]:
                es.setplayerprop(attacker, "CBasePlayer.m_iHealth", es.getplayerprop(attacker, "CBasePlayer.m_iHealth") + killhealthbonus)
                tell(attacker, '#greenKill Bonus: #lightgreenYou got %s hp for killing an enemy.' %killhealthbonus)
    if 'headshotbonus' in points[steamid] and points[steamid]['headshotbonus'] == 1:
        if userid != attacker:
            if ev["es_attackerteam"] != ev["es_userteam"]:
                if headshot == '1':
                    if ev["es_attackerteam"] != ev["es_userteam"]:
                        es.setplayerprop(attacker, "CBasePlayer.m_iHealth", es.getplayerprop(attacker, "CBasePlayer.m_iHealth") + headshothealthbonus)
                        tell(attacker, '#greenHeadshot Bonus: #lightgreenYou got %s hp for killing an enemy.' %headshothealthbonus)
                else:
                    es.setplayerprop(attacker, "CBasePlayer.m_iHealth", es.getplayerprop(attacker, "CBasePlayer.m_iHealth") + killhealthbonus)
                    tell(attacker, '#greenKill Bonus: #lightgreenYou got %s hp for killing an enemy.' %killhealthbonus)
    if 'respawn' in points[vsteamid] and points[vsteamid]['respawn'] == 1:
        respawnplayer(userid, None)


def respawnplayer(userid, args):
    respawnmenu = popuplib.create('respawn_player')
    respawnmenu.addline('Respawn Menu')
    respawnmenu.addline(' ')
    respawnmenu.addline('Do you want to respawn?')
    respawnmenu.addline(' ')
    respawnmenu.addline('->1. Yes')
    respawnmenu.addline('->2. No')
    respawnmenu.addline(' ')
    respawnmenu.addline('0. Close')
    respawnmenu.unsend(userid)
    respawnmenu.send(userid)
    respawnmenu.delete()
    respawnmenu.menuselect = respawnSelect

def respawnSelect(userid, choice, popupid):
    if choice == 1:
        es.server.queuecmd('es_xsetplayerprop %s "CCSPlayer.baseclass.m_lifeState" 512' %userid)
        es.server.queuecmd('es_xsetplayerprop %s "CCSPlayer.m_iPlayerState" 0' %userid)
        es.server.queuecmd('es_xspawnplayer %s' %userid)
        tell(userid, "You have been respawned.")
    elif choice == 2:
        tell(userid, "You will respawn next round.")


def player_hurt(ev):
    userid = ev['attacker']
    steamid = es.getplayersteamid(userid)
    if 'hitmarker' in points[steamid] and points[steamid]['hitmarker'] == 1:
        es.cexec(ev['attacker'],"r_screenoverlay overlays/hitmarker/hitmarkerv2")
        gamethread.delayed(0.5, es.cexec, (ev['attacker'],"r_screenoverlay","0"))

def player_blind(ev):
    flashed.add(ev['es_username'])

def flashbang_detonate(ev):
    flasher = ev['userid']
    steamid = es.getplayersteamid(flasher)
    if not flashed:
        return
    else:
        if 'hitmarker' in points[steamid] and points[steamid]['hitmarker'] == 1:
            es.cexec(flasher,"r_screenoverlay overlays/hitmarker/hitmarkerv2")
            gamethread.delayed(0.8, es.cexec, (flasher,"r_screenoverlay","0"))
        flashed.clear()


def bomb_planted(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] += bomb_planted_amount
        tell(userid, 'You earned #green%s credits #lightgreenfor planting the bomb.' %bomb_planted_amount)

def bomb_exploded(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] += bomb_exploded_amount
        tell(userid, 'You earned #green%s credits #lightgreenfor destroying the target.' %bomb_exploded_amount)

def bomb_defused(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] += bomb_defused_amount
        tell(userid, 'You earned #green%s credits #lightgreenfor defusing the bomb.' %bomb_defused_amount)

def hostage_rescued(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] += 2
        tell(userid, 'You earned #green%s credits #lightgreenfor rescueing a hostage.' %hostage_rescued_amount)

def hostage_killed(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] -= hostage_killed_amount
        tell(userid, 'You lost #green%s credit(s) #lightgreenfor killing a hostage.' %hostage_killed_amount)

def player_say(ev):
    userid = int(ev['userid'])
    player = playerlib.getPlayer(userid)
    if ev['text'] == '!shop':
        shopMenu(userid, None)
    if ev['text'] == '!credits':
        credits_menu = popuplib.construct('credits_menu', 'players', '#human', credits_menu_select)
        credits_menu.settitle("View players credits:")
	popuplib.send('credits_menu', userid)
    if ev['text'] == '!model':
        player.set('model', 'player/techknow/ironman_v3/ironman3.mdl')

def credits_menu_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    player = int(choice)
    psteamid = es.getplayersteamid(player)
    pname = es.getplayername(player)
    if player == userid:
        tell(userid, "You have %s credits." %points[steamid]["credits"])
        popuplib.send('credits_menu', userid)
    else:
        tell(userid, "%s has %s credits." %(pname, points[psteamid]["credits"]))
        popuplib.send('credits_menu', userid)

def weapon_fire(ev):
    userid = int(ev["userid"])
    player = playerlib.getPlayer(userid)
    weapon = ev["weapon"]
    steamid = es.getplayersteamid(userid)
    if 'unlimitedammo' in points[steamid] and points[steamid]['unlimitedammo'] == 1:
        if weapon not in ('knife', 'flashbang', 'hegrenade', 'smokegrenade', 'c4'):
            if player.getClip(weapon) <= 5:
                player.setClip(weapon, 5)
            if player.getAmmo(weapon) <= 30:
                player.setAmmo(weapon, 100)
    if 'unlimitednades' in points[steamid] and points[steamid]['unlimitednades'] == 1:
        if weapon == 'flashbang':
            es.server.queuecmd('es_xgive %s weapon_flashbang' % userid)
        if weapon == 'hegrenade':
            es.server.queuecmd('es_xgive %s weapon_hegrenade' % userid)
        if weapon == 'smokegrenade':
            es.server.queuecmd('es_xgive %s weapon_smokegrenade' % userid)

def bullet_impact(ev):
    userid = int(ev['userid'])
    steamid = es.getplayersteamid(userid)
    tx, ty, tz = es.getplayerlocation(userid)
    duration = 1
    model = 'materials/sprites/laser.vmt'
    crouched = es.getplayerprop(userid,'CBasePlayer.localdata.m_Local.m_bDucked')
    if 'randomtracer' in points[steamid] and points[steamid]['randomtracer'] == 1:
        rcolor = randint(0, 255)
        gcolor = randint(0, 255)
        bcolor = randint(0, 255)
        if crouched:
            tz = tz + 44
        else:
            tz = tz + 64
        vector1 = '%s,%s,%s'%(tx, ty, tz)
        vector2 = '%s,%s,%s'%(ev['x'],ev['y'],ev['z'])
        effectlib.drawLine(vector1,vector2,'materials/sprites/laser.vmt','materials/sprites/laser.vmt',duration,'3','3', rcolor, gcolor, bcolor,'255','10','0','0','0','0')
    if 'redtracer' in points[steamid] and points[steamid]['redtracer'] == 1:
        rcolor = 255
        gcolor = 0
        bcolor = 0
        if crouched:
            tz = tz + 44
        else:
            tz = tz + 64
        vector1 = '%s,%s,%s'%(tx, ty, tz)
        vector2 = '%s,%s,%s'%(ev['x'],ev['y'],ev['z'])
        effectlib.drawLine(vector1,vector2,'materials/sprites/laser.vmt','materials/sprites/laser.vmt',duration,'3','3', rcolor, gcolor, bcolor,'255','10','0','0','0','0')
    if 'greentracer' in points[steamid] and points[steamid]['greentracer'] == 1:
        rcolor = 0
        gcolor = 255
        bcolor = 0
        if crouched:
            tz = tz + 44
        else:
            tz = tz + 64
        vector1 = '%s,%s,%s'%(tx, ty, tz)
        vector2 = '%s,%s,%s'%(ev['x'],ev['y'],ev['z'])
        effectlib.drawLine(vector1,vector2,'materials/sprites/laser.vmt','materials/sprites/laser.vmt',duration,'3','3', rcolor, gcolor, bcolor,'255','10','0','0','0','0')
    if 'bluetracer' in points[steamid] and points[steamid]['bluetracer'] == 1:
        rcolor = 0
        gcolor = 0
        bcolor = 255
        if crouched:
            tz = tz + 44
        else:
            tz = tz + 64
        vector1 = '%s,%s,%s'%(tx, ty, tz)
        vector2 = '%s,%s,%s'%(ev['x'],ev['y'],ev['z'])
        effectlib.drawLine(vector1,vector2,'materials/sprites/laser.vmt','materials/sprites/laser.vmt',duration,'3','3', rcolor, gcolor, bcolor,'255','10','0','0','0','0')

def player_spawn(ev):
    userid = int(ev['userid'])
    steamid = es.getplayersteamid(userid)
    team = es.getplayerteam(userid)
    player = playerlib.getPlayer(userid)
    if team > 1:
        tell(userid, 'is enabled. Type #green!shop #lightgreento open the menu.')
        if 'akspawn' in points[steamid] and points[steamid]['akspawn'] == 1:
            es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_ak47"))
        if 'm4spawn' in points[steamid] and points[steamid]['m4spawn'] == 1:
            es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m4a1"))
        if 'awpspawn' in points[steamid] and points[steamid]['awpspawn'] == 1:
            es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_awp"))
        if 'lgrav' in points[steamid] and points[steamid]['lgrav'] == 1:
            es.server.queuecmd('es_fire %s !self addoutput "gravity 0.5"' % userid)
        if 'speed' in points[steamid] and points[steamid]['speed'] == 1:
            player.setSpeed("1.5")
        if 'startmoney' in points[steamid] and points[steamid]['startmoney'] == 1:
            es.setplayerprop(userid, "CCSPlayer.m_iAccount", 16000)
        if 'starthealth10' in points[steamid] and points[steamid]['starthealth10'] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 10)
        if 'starthealth20' in points[steamid] and points[steamid]['starthealth20'] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 20)
        if 'starthealth30' in points[steamid] and points[steamid]['starthealth30'] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 30)
        if 'starthealth40' in points[steamid] and points[steamid]['starthealth40'] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 40)
        if 'starthealth50' in points[steamid] and points[steamid]['starthealth50'] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 50)
        if 'halfinvis' in points[steamid] and points[steamid]['halfinvis'] == 1:
            player.setColor(255, 255, 255, 100)
        if 'fullinvis' in points[steamid] and points[steamid]['fullinvis'] == 1:
            player.setColor(255, 255, 255, 0)
        if 'superman' in points[steamid] and points[steamid]['superman'] == 1:
            player.set('model', 'player/techknow/superman/superman.mdl')
            player.setColor(255, 255, 255, 255)
        if 'spiderman' in points[steamid] and points[steamid]['spiderman'] == 1:
            player.set('model', 'player/techknow/spiderman3/spiderman3.mdl')
            player.setColor(255, 255, 255, 255)
        if 'ironman' in points[steamid] and points[steamid]['ironman'] == 1:
            player.set('model', 'player/techknow/ironman_v3/ironman3.mdl')
            player.setColor(255, 255, 255, 255)
        if 'bunny' in points[steamid] and points[steamid]['bunny'] == 1:
            player.set('model', 'player/slow/sam_and_max/max/slow_v2.mdl')
            player.setColor(255, 255, 255, 255)
        if 'banana' in points[steamid] and points[steamid]['banana'] == 1:
            player.set('model', 'player/slow/banana_joe/slow.mdl')
            player.setColor(255, 255, 255, 255)
        if 'randomtrail' in points[steamid] and points[steamid]['randomtrail'] == 1:
            gamethread.delayedname(0.1, 'trail_%s'% userid,starttrail,(userid))
        if 'redtrail' in points[steamid] and points[steamid]['redtrail'] == 1:
            gamethread.delayedname(0.1, 'trail2_%s'% userid,starttrail2,(userid))
        if 'greentrail' in points[steamid] and points[steamid]['greentrail'] == 1:
            gamethread.delayedname(0.1, 'trail3_%s'% userid,starttrail3,(userid))
        if 'bluetrail' in points[steamid] and points[steamid]['bluetrail'] == 1:
            gamethread.delayedname(0.1, 'trail4_%s'% userid,starttrail4,(userid))

def starttrail(userid):
    gamethread.delayedname(0.01, 'trail_%s'% userid,checktrail,(es.getplayerlocation(userid),userid))

def checktrail((x2,y2,z2), userid):
    if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
        x,y,z = es.getplayerlocation(userid)
        gamethread.cancelDelayed('trail_%s' % userid)
        if (x,y,z) != (x2,y2,z2):
            r = randint(0,255)
            g = randint(0,255)
            b = randint(0,255)
            effectlib.drawLine((x2,y2,z2 + 60),(x,y,z + 60), 'materials/sprites/laserbeam.vmt', 'materials/sprites/halo01.vmt', 1, 10, 10, r, g, b, 255, speed=5, fadelength=100, noise=0, framestart=0, framerate=0)
            (x2,y2,z2) = x,y,z
        gamethread.delayedname(0.01, 'trail_%s'% userid,checktrail,((x2,y2,z2),userid))

def starttrail2(userid):
    gamethread.delayedname(0.01, 'trail2_%s'% userid,checktrail2,(es.getplayerlocation(userid),userid))

def checktrail2((x2,y2,z2), userid):
    if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
        x,y,z = es.getplayerlocation(userid)
        gamethread.cancelDelayed('trail_%s' % userid)
        if (x,y,z) != (x2,y2,z2):
            r = 255
            g = 0
            b = 0
            effectlib.drawLine((x2,y2,z2 + 40),(x,y,z + 40), 'materials/sprites/laser.vmt', 'materials/sprites/halo01.vmt', 1, 10, 10, r, g, b, 255, speed=5, fadelength=100, noise=0, framestart=0, framerate=0)
            (x2,y2,z2) = x,y,z
        gamethread.delayedname(0.01, 'trail2_%s'% userid,checktrail2,((x2,y2,z2),userid))

def starttrail3(userid):
    gamethread.delayedname(0.01, 'trail3_%s'% userid,checktrail3,(es.getplayerlocation(userid),userid))

def checktrail3((x2,y2,z2), userid):
    if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
        x,y,z = es.getplayerlocation(userid)
        gamethread.cancelDelayed('trail_%s' % userid)
        if (x,y,z) != (x2,y2,z2):
            r = 0
            g = 255
            b = 0
            effectlib.drawLine((x2,y2,z2 + 40),(x,y,z + 40), 'materials/sprites/laser.vmt', 'materials/sprites/halo01.vmt', 1, 10, 10, r, g, b, 255, speed=5, fadelength=100, noise=0, framestart=0, framerate=0)
            (x2,y2,z2) = x,y,z
        gamethread.delayedname(0.01, 'trail3_%s'% userid,checktrail3,((x2,y2,z2),userid))

def starttrail4(userid):
    gamethread.delayedname(0.01, 'trail4_%s'% userid,checktrail4,(es.getplayerlocation(userid),userid))

def checktrail4((x2,y2,z2), userid):
    if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
        x,y,z = es.getplayerlocation(userid)
        gamethread.cancelDelayed('trail_%s' % userid)
        if (x,y,z) != (x2,y2,z2):
            r = 0
            g = 0
            b = 255
            effectlib.drawLine((x2,y2,z2 + 40),(x,y,z + 40), 'materials/sprites/laser.vmt', 'materials/sprites/halo01.vmt', 1, 10, 10, r, g, b, 255, speed=5, fadelength=100, noise=0, framestart=0, framerate=0)
            (x2,y2,z2) = x,y,z
        gamethread.delayedname(0.01, 'trail4_%s'% userid,checktrail4,((x2,y2,z2),userid))

def player_disconnect(ev):
    userid = int(ev['userid'])
    steamid = es.getplayersteamid(userid)
    if 'randomtrail' in points[steamid] and points[steamid]['randomtrail'] == 1:
        gamethread.cancelDelayed('trail_%s'%userid)
    if 'redtrail' in points[steamid] and points[steamid]['redtrail'] == 1:
        gamethread.cancelDelayed('trail2_%s'%userid)
    if 'greentrail' in points[steamid] and points[steamid]['greentrail'] == 1:
        gamethread.cancelDelayed('trail3_%s'%userid)
    if 'bluetrail' in points[steamid] and points[steamid]['bluetrail'] == 1:
        gamethread.cancelDelayed('trail4_%s'%userid)

def round_end(ev):
    for uid in es.getUseridList():
        gamethread.cancelDelayed('trail_%s'%userid)
        gamethread.cancelDelayed('trail2_%s'%userid)
        gamethread.cancelDelayed('trail3_%s'%userid)
        gamethread.cancelDelayed('trail4_%s'%userid)

def player_falldamage(ev):
    userid = ev['userid']
    steamid = es.getplayersteamid(userid)
    player = playerlib.getPlayer(userid)
    damage = ev['damage']
    health = ev['es_userhealth']
    if 'falldamage' in points[steamid] and points[steamid]['falldamage'] == 1:
        player.setHealth(health)

def shopMenu(userid, args):
    steamid = es.getplayersteamid(userid)
    shop = popuplib.create('shop_menu')
    shop.addline('Shop Menu')
    shop.addline('You have %s Credits' %points[steamid]["credits"])
    shop.addline(' ')
    shop.addline('->1. Weapon Buy Menu')
    shop.addline('->2. Weapon Spawn Menu')
    shop.addline('->3. Fun Features')
    shop.addline('->4. Health Buy Menu')
    shop.addline('->5. Kill Bonus')
    shop.addline('->6. Send Credits')
    shop.addline('->7. Sell Features')
    shop.addline(' ')
    shop.addline('->8. Next')
    shop.addline(' ')
    if steamid in admins:
        shop.addline('->9. Admin Menu')
    shop.addline(' ')
    shop.addline('0. Close')
    shop.unsend(userid)
    shop.send(userid)
    shop.delete()
    shop.menuselect = shopSelect

def shop2Menu(userid, args):
    steamid = es.getplayersteamid(userid)
    shop2 = popuplib.create('shop2_menu')
    shop2.addline('Shop Menu')
    shop2.addline('You have %s Credits' %points[steamid]["credits"])
    shop2.addline(' ')
    shop2.addline('->1. Respawn after Death')
    shop2.addline('->2. Unlimited Ammo')
    shop2.addline('->3. No Falldamage')
    shop2.addline('->4. Hitmarker')
    shop2.addline(' ')
    shop2.addline('->9. Back')
    shop2.addline('0. Close')
    shop2.unsend(userid)
    shop2.send(userid)
    shop2.delete()
    shop2.menuselect = shop2Select

def buymenu(userid, args):
    steamid = es.getplayersteamid(userid)
    bm = popuplib.create('buy_menu')
    bm.addline('Weapon Buy Menu')
    bm.addline('You have %s Credits' %points[steamid]["credits"])
    bm.addline(' ')
    bm.addline('->1. Pistols')
    bm.addline('->2. Shotguns')
    bm.addline('->3. SMGs')
    bm.addline('->4. Rifles')
    bm.addline('->5. Machine Guns')
    bm.addline('->6. Equipment')
    bm.addline(' ')
    bm.addline('->9. Back')
    bm.addline('0. Close')
    bm.unsend(userid)
    bm.send(userid)
    bm.delete()
    bm.menuselect = buymenuSelect

def sendcreditsamountmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    sca = popuplib.create('credits_amount')
    sca.addline('Choose the amount of credits')
    sca.addline('you would like to send to a player')
    sca.addline('You have %s Credits' %points[steamid]["credits"])
    sca.addline(' ')
    sca.addline('->1. 5 Credits')
    sca.addline('->2. 10 Credits')
    sca.addline('->3. 20 Credits')
    sca.addline('->4. 50 Credits')
    sca.addline('->5. 100 Credits')
    sca.addline('->6. 200 Credits')
    sca.addline('->7. 500 Credits')
    sca.addline('->8. 1000 Credits')
    sca.addline(' ')
    sca.addline('->9. Back')
    sca.addline('0. Close')
    sca.unsend(userid)
    sca.send(userid)
    sca.delete()
    sca.menuselect = scaSelect

def pistolbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    pistol = popuplib.create('pistol_menu')
    pistol.addline('Pistols Menu')
    pistol.addline('You have %s Credits' %points[steamid]["credits"])
    pistol.addline(' ')
    pistol.addline('->1. Glock - Price: %s Credits' %buy_glock)
    pistol.addline('->2. USP - Price: %s Credits' %buy_usp)
    pistol.addline('->3. P228 - Price: %s Credits' %buy_p228)
    pistol.addline('->4. Deagle - Price: %s Credits' %buy_deagle)
    pistol.addline('->5. Five-Seven - Price: %s Credits' %buy_fiveseven)
    pistol.addline('->6. Elite - Price: %s Credits' %buy_elite)
    pistol.addline(' ')
    pistol.addline('->9. Back')
    pistol.addline('0. Close')
    pistol.unsend(userid)
    pistol.send(userid)
    pistol.delete()
    pistol.menuselect = pistolSelect

def shotgunbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    shotgun = popuplib.create('shotgun_menu')
    shotgun.addline('Shotguns Menu')
    shotgun.addline('You have %s Credits' %points[steamid]["credits"])
    shotgun.addline(' ')
    shotgun.addline('->1. M3 - Price: %s Credits' %buy_m3)
    shotgun.addline('->2. Auto Shotgun - Price: %s Credits' %buy_autoshotgun)
    shotgun.addline(' ')
    shotgun.addline('->9. Back')
    shotgun.addline('0. Close')
    shotgun.unsend(userid)
    shotgun.send(userid)
    shotgun.delete()
    shotgun.menuselect = shotgunSelect

def smgbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    smg = popuplib.create('smg_menu')
    smg.addline('SMGs Menu')
    smg.addline('You have %s Credits' %points[steamid]["credits"])
    smg.addline(' ')
    smg.addline('->1. TMP - Price: %s Credits' %buy_tmp)
    smg.addline('->2. MP5 - Price: %s Credits' %buy_mp5)
    smg.addline('->3. UMP45 - Price: %s Credits' %buy_ump45)
    smg.addline('->4. P90 - Price: %s Credits' %buy_p90)
    smg.addline(' ')
    smg.addline('->9. Back')
    smg.addline('0. Close')
    smg.unsend(userid)
    smg.send(userid)
    smg.delete()
    smg.menuselect = smgSelect

def riflebuy(userid, args):
    steamid = es.getplayersteamid(userid)
    rifle = popuplib.create('rifle_menu')
    rifle.addline('Rifles Menu')
    rifle.addline('You have %s Credits' %points[steamid]["credits"])
    rifle.addline(' ')
    rifle.addline('->1. Terrorists Weapons')
    rifle.addline('->2. Counter-Terrorists Weapons')
    rifle.addline(' ')
    rifle.addline('->9. Back')
    rifle.addline('0. Close')
    rifle.unsend(userid)
    rifle.send(userid)
    rifle.delete()
    rifle.menuselect = rifleSelect

def rifletbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    riflet = popuplib.create('rifle_menu')
    riflet.addline('Terrorists Rifles Menu')
    riflet.addline('You have %s Credits' %points[steamid]["credits"])
    riflet.addline(' ')
    riflet.addline('->1. Galil - Price %s Credits' %buy_galil)
    riflet.addline('->2. Scout - Price: %s Credits' %buy_scout)
    riflet.addline('->3. AK47 - Price: %s Credits' %buy_ak)
    riflet.addline('->4. Krieg - Price %s Credits' %buy_krieg)
    riflet.addline('->5. AWP - Price: %s Credits' %buy_awp)
    riflet.addline('->6. Auto-Sniper - Price %s Credits' %buy_autosnipert)
    riflet.addline(' ')
    riflet.addline('->9. Back')
    riflet.addline('0. Close')
    riflet.unsend(userid)
    riflet.send(userid)
    riflet.delete()
    riflet.menuselect = rifletSelect

def riflectbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    riflect = popuplib.create('rifle_menu')
    riflect.addline('Counter-Terrorists Rifles Menu')
    riflect.addline('You have %s Credits' %points[steamid]["credits"])
    riflect.addline(' ')
    riflect.addline('->1. Famas - Price %s Credits' %buy_famas)
    riflect.addline('->2. Scout - Price: %s Credits' %buy_scout)
    riflect.addline('->3. M4A1 - Price: %s Credits' %buy_m4)
    riflect.addline('->4. Bullpup - Price %s Credits' %buy_bullpup)
    riflect.addline('->5. AWP - Price: %s Credits' %buy_awp)
    riflect.addline('->6. Auto-Sniper - Price %s Credits' %buy_autosniperct)
    riflect.addline(' ')
    riflect.addline('->9. Back')
    riflect.addline('0. Close')
    riflect.unsend(userid)
    riflect.send(userid)
    riflect.delete()
    riflect.menuselect = riflectSelect

def mgbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    mg = popuplib.create('mg_menu')
    mg.addline('Machine Gun Menu')
    mg.addline('You have %s Credits' %points[steamid]["credits"])
    mg.addline(' ')
    mg.addline('->1. M249 - Price: %s Credits' %buy_m249)
    mg.addline(' ')
    mg.addline('->9. Back')
    mg.addline('0. Close')
    mg.unsend(userid)
    mg.send(userid)
    mg.delete()
    mg.menuselect = mgSelect

def equipbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    equip = popuplib.create('equip_menu')
    equip.addline('Equipment Menu')
    equip.addline('You have %s Credits' %points[steamid]["credits"])
    equip.addline(' ')
    equip.addline('->1. Primary Ammo - Price: %s Credits' %buy_primammo)
    equip.addline('->2. Secondary Ammo - Price: %s Credits' %buy_secammo)
    equip.addline('->3. Kevlar - Price: %s Credits' %buy_vest)
    equip.addline('->4. Kevlar + Helmet - Price: %s Credits' %buy_vesthelm)
    equip.addline('->5. Flashbang - Price: %s Credits' %buy_flashbang)
    equip.addline('->6. HE Grenade - Price: %s Credits' %buy_hegrenade)
    equip.addline('->7. Smoke Grenade - Price: %s Credits' %buy_smoke)
    equip.addline('->8. Defuser - Price: %s Credits' %buy_defuser)
    equip.addline(' ')
    equip.addline('->9. Back')
    equip.addline('0. Close')
    equip.unsend(userid)
    equip.send(userid)
    equip.delete()
    equip.menuselect = equipSelect

def spawnmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    spawnmenu = popuplib.create('spawn_menu')
    spawnmenu.addline('Weapon Spawn Menu')
    spawnmenu.addline('You have %s Credits' %points[steamid]["credits"])
    spawnmenu.addline(' ')
    spawnmenu.addline('->1. Spawn with AK47 - Price: %s Credits' %buy_akspawn)
    spawnmenu.addline('->2. Spawn with M4A1 - Price: %s Credits' %buy_m4spawn)
    spawnmenu.addline('->3. Spawn with AWP - Price: %s Credits' %buy_awpspawn)
    spawnmenu.addline(' ')
    spawnmenu.addline('->9. Back')
    spawnmenu.addline('0. Close')
    spawnmenu.unsend(userid)
    spawnmenu.send(userid)
    spawnmenu.delete()
    spawnmenu.menuselect = spawnmenuSelect

def funstuffmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    funstuff = popuplib.create('funstuff_menu')
    funstuff.addline('Fun Features Menu')
    funstuff.addline('You have %s Credits' %points[steamid]["credits"])
    funstuff.addline(' ')
    funstuff.addline('->1. Low Gravity - Price: %s Credits' %buy_lowgrav)
    funstuff.addline('->2. Speed - Price: %s Credits' %buy_speed)
    funstuff.addline('->3. 16000$ Startmoney - Price: %s Credits' %buy_startmoney)
    funstuff.addline('->4. Invisibility')
    funstuff.addline('->5. Tracers')
    funstuff.addline('->6. Skins')
    funstuff.addline('->7. Trails')
    funstuff.addline(' ')
    funstuff.addline('->9. Back')
    funstuff.addline('0. Close')
    funstuff.unsend(userid)
    funstuff.send(userid)
    funstuff.delete()
    funstuff.menuselect = funstuffSelect

def trailsmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    trails = popuplib.create('trails_menu')
    trails.addline('Trails Buy Menu')
    trails.addline('You have %s Credits' %points[steamid]["credits"])
    trails.addline(' ')
    trails.addline('->1. Random Trail - Price: %s Credits' %buy_randomtrail)
    trails.addline('->2. Red Trail - Price: %s Credits' %buy_redtrail)
    trails.addline('->3. Green Trail - Price: %s Credits' %buy_greentrail)
    trails.addline('->4. Blue Trail - Price: %s Credits' %buy_bluetrail)
    trails.addline(' ')
    trails.addline('->9. Back')
    trails.addline('0. Close')
    trails.unsend(userid)
    trails.send(userid)
    trails.delete()
    trails.menuselect = trailsSelect

def skinsmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    skins = popuplib.create('skins_menu')
    skins.addline('Skins Buy Menu')
    skins.addline('You have %s Credits' %points[steamid]["credits"])
    skins.addline(' ')
    skins.addline('->1. Superman - Price: %s Credits' %buy_superman)
    skins.addline('->2. Spiderman - Price: %s Credits' %buy_spiderman)
    skins.addline('->3. Ironman - Price: %s Credits' %buy_ironman)
    skins.addline('->4. Bunny (Max) - Pirce: %s Credits' %buy_bunny)
    skins.addline('->5. Banana Joe - Pirce: %s Credits' %buy_bananajoe)
    skins.addline(' ')
    skins.addline('->9. Back')
    skins.addline('0. Close')
    skins.unsend(userid)
    skins.send(userid)
    skins.delete()
    skins.menuselect = skinsSelect

def invismenu(userid, args):
    steamid = es.getplayersteamid(userid)
    invis = popuplib.create('invis_menu')
    invis.addline('Invisibility Buy Menu')
    invis.addline('You have %s Credits' %points[steamid]["credits"])
    invis.addline(' ')
    invis.addline('->1. Half Invisibility - Price: %s Credits' %buy_halfinvis)
    invis.addline('->2. Full Invisibility - Price: %s Credits' %buy_fullinvis)
    invis.addline(' ')
    invis.addline('->9. Back')
    invis.addline('0. Close')
    invis.unsend(userid)
    invis.send(userid)
    invis.delete()
    invis.menuselect = invisSelect

def tracersmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    tracers = popuplib.create('tracers_menu')
    tracers.addline('Tracers Buy Menu')
    tracers.addline('You have %s Credits' %points[steamid]["credits"])
    tracers.addline(' ')
    tracers.addline('->1. Random Coloured Tracers - Price: %s Credits' %buy_randomtracer)
    tracers.addline('->2. Red Tracers - Price: %s Credits' %buy_redtracer)
    tracers.addline('->3. Green Tracers - Price: %s Credits' %buy_greentracer)
    tracers.addline('->4. Blue Tracers - Price: %s Credits' %buy_bluetracer)
    tracers.addline(' ')
    tracers.addline('->9. Back')
    tracers.addline('0. Close')
    tracers.unsend(userid)
    tracers.send(userid)
    tracers.delete()
    tracers.menuselect = tracersSelect

def healthmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    health = popuplib.create('health_menu')
    health.addline('Health Menu')
    health.addline('You have %s Credits' %points[steamid]["credits"])
    health.addline(' ')
    health.addline('->1. Health')
    health.addline('->2. Spawn Health')
    health.addline(' ')
    health.addline('->9. Back')
    health.addline('0. Close')
    health.unsend(userid)
    health.send(userid)
    health.delete()
    health.menuselect = healthSelect

def healthbuymenu(userid, args):
    steamid = es.getplayersteamid(userid)
    healthbuy = popuplib.create('health_menu')
    healthbuy.addline('Health Menu')
    healthbuy.addline('You have %s Credits' %points[steamid]["credits"])
    healthbuy.addline(' ')
    healthbuy.addline('->1. 10 HP - Price: %s Credits' %buy_health10)
    healthbuy.addline('->2. 20 HP - Price: %s Credits' %buy_health20)
    healthbuy.addline('->3. 30 HP - Price: %s Credits' %buy_health30)
    healthbuy.addline('->4. 40 HP - Price: %s Credits' %buy_health40)
    healthbuy.addline('->5. 50 HP - Price: %s Credits' %buy_health50)
    healthbuy.addline(' ')
    healthbuy.addline('->9. Back')
    healthbuy.addline('0. Close')
    healthbuy.unsend(userid)
    healthbuy.send(userid)
    healthbuy.delete()
    healthbuy.menuselect = healthbuymenuSelect

def healthroundstartmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    healthroundstartbuy = popuplib.create('healthroundstart_menu')
    healthroundstartbuy.addline('Health Spawn Bonus Menu')
    healthroundstartbuy.addline('You have %s Credits' %points[steamid]["credits"])
    healthroundstartbuy.addline(' ')
    healthroundstartbuy.addline('->1. + 10 HP on Spawn - Price: %s Credits' %buy_roundstarthealth10)
    healthroundstartbuy.addline('->2. + 20 HP on Spawn - Price: %s Credits' %buy_roundstarthealth20)
    healthroundstartbuy.addline('->3. + 30 HP on Spawn - Price: %s Credits' %buy_roundstarthealth30)
    healthroundstartbuy.addline('->4. + 40 HP on Spawn - Price: %s Credits' %buy_roundstarthealth40)
    healthroundstartbuy.addline('->5. + 50 HP on Spawn - Price: %s Credits' %buy_roundstarthealth50)
    healthroundstartbuy.addline(' ')
    healthroundstartbuy.addline('->9. Back')
    healthroundstartbuy.addline('0. Close')
    healthroundstartbuy.unsend(userid)
    healthroundstartbuy.send(userid)
    healthroundstartbuy.delete()
    healthroundstartbuy.menuselect = healthroundstartSelect

def killbonusmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    health = popuplib.create('health_menu')
    health.addline('Kill Bonus Menu')
    health.addline('You have %s Credits' %points[steamid]["credits"])
    health.addline(' ')
    health.addline('->1. Kill Bonus - Price: %s Credits' %buy_killbonus)
    health.addline('->2. Kill + Headshot Bonus - Price: %s Credits' %buy_headshotbonus)
    health.addline(' ')
    health.addline('->9. Back')
    health.addline('0. Close')
    health.unsend(userid)
    health.send(userid)
    health.delete()
    health.menuselect = killbonusSelect

def sellmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell = popuplib.create('sell_menu')
    sell.addline('Sell A Feature')
    sell.addline('You have %s Credits' %points[steamid]["credits"])
    sell.addline(' ')
    sell.addline('->1. AK Spawn - %s Credits' %buy_akspawn)
    sell.addline('->2. M4 Spawn - %s Credits' %buy_m4spawn)
    sell.addline('->3. AWP Spawn - %s Credits' %buy_awpspawn)
    sell.addline('->4. Low Gravity - %s Credits' %buy_lowgrav)
    sell.addline('->5. Speed - %s Credits' %buy_speed)
    sell.addline('->6. Startmoney - %s Credits' %buy_startmoney)
    sell.addline('->7. Respawn - %s Credits' %buy_respawn)
    sell.addline(' ')
    sell.addline('->8. Next')
    sell.addline('->9. Back')
    sell.addline('0. Close')
    sell.unsend(userid)
    sell.send(userid)
    sell.delete()
    sell.menuselect = sellSelect

def sell2menu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell2 = popuplib.create('sell2_menu')
    sell2.addline('Sell A Feature')
    sell2.addline('You have %s Credits' %points[steamid]["credits"])
    sell2.addline(' ')
    sell2.addline('->1. + 10 Spawn HP - %s Credits' %buy_roundstarthealth10)
    sell2.addline('->2. + 20 Spawn HP - %s Credits' %buy_roundstarthealth20)
    sell2.addline('->3. + 30 Spawn HP - %s Credits' %buy_roundstarthealth30)
    sell2.addline('->4. + 40 Spawn HP - %s Credits' %buy_roundstarthealth40)
    sell2.addline('->5. + 50 Spawn HP - %s Credits' %buy_roundstarthealth50)
    sell2.addline('->6. Half Invisibility - %s Credits' %buy_halfinvis)
    sell2.addline('->7. Full Invisibility - %s Credits' %buy_fullinvis)
    sell2.addline(' ')
    sell2.addline('->8. Next')
    sell2.addline('->9. Back')
    sell2.addline('0. Close')
    sell2.unsend(userid)
    sell2.send(userid)
    sell2.delete()
    sell2.menuselect = sell2Select

def sell3menu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell3 = popuplib.create('sell3_menu')
    sell3.addline('Sell A Feature')
    sell3.addline('You have %s Credits' %points[steamid]["credits"])
    sell3.addline(' ')
    sell3.addline('->1. Unlimited Ammo - %s Credits' %buy_unlimitedammo)
    sell3.addline('->2. Unlimited Nades - %s Credits' %buy_unlimitednades)
    sell3.addline('->3. Random Tracer - %s Credits' %buy_randomtracer)
    sell3.addline('->4. Red Tracer - %s Credits' %buy_redtracer)
    sell3.addline('->5. Green Tracer - %s Credits' %buy_greentracer)
    sell3.addline('->6. Blue Tracer - %s Credits' %buy_bluetracer)
    sell3.addline('->7. No Falldamage - %s Credits' %buy_nofalldamage)
    sell3.addline(' ')
    sell3.addline('->8. Next')
    sell3.addline('->9. Back')
    sell3.addline('0. Close')
    sell3.unsend(userid)
    sell3.send(userid)
    sell3.delete()
    sell3.menuselect = sell3Select

def sell4menu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell4 = popuplib.create('sell4_menu')
    sell4.addline('Sell A Feature')
    sell4.addline('You have %s Credits' %points[steamid]["credits"])
    sell4.addline(' ')
    sell4.addline('->1. Kill Bonus - %s Credits' %buy_killbonus)
    sell4.addline('->2. Headshot Bonus - %s Credits' %buy_headshotbonus)
    sell4.addline('->3. Superman - %s Credits' %buy_superman)
    sell4.addline('->4. Spiderman - %s Credits' %buy_spiderman)
    sell4.addline('->5. Ironman - %s Credits' %buy_ironman)
    sell4.addline('->6. Bunny (Max) - %s Credits' %buy_bunny)
    sell4.addline('->7. Banana Joe - %s Credits' %buy_bananajoe)
    sell4.addline(' ')
    sell4.addline('->8. Next')
    sell4.addline('->9. Back')
    sell4.addline('0. Close')
    sell4.unsend(userid)
    sell4.send(userid)
    sell4.delete()
    sell4.menuselect = sell4Select

def sell5menu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell5 = popuplib.create('sell5_menu')
    sell5.addline('Sell A Feature')
    sell5.addline('You have %s Credits' %points[steamid]["credits"])
    sell5.addline(' ')
    sell5.addline('->1. Random Trail - %s Credits' %buy_randomtrail)
    sell5.addline('->2. Red Trail - %s Credits' %buy_redtrail)
    sell5.addline('->3. Green Trail - %s Credits' %buy_greentrail)
    sell5.addline('->4. Blue Trail - %s Credits' %buy_bluetrail)
    sell5.addline(' ')
    sell5.addline('->9. Back')
    sell5.addline('0. Close')
    sell5.unsend(userid)
    sell5.send(userid)
    sell5.delete()
    sell5.menuselect = sell5Select

def adminmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    admin = popuplib.create('admin_menu')
    admin.addline('Admin Menu')
    admin.addline('You have %s Credits' %points[steamid]["credits"])
    admin.addline(' ')
    admin.addline('->1. Give me 1000 Credits')
    admin.addline('->2. Give a player 1000 Credits')
    admin.addline(' ')
    admin.addline('->9. Back')
    admin.addline('0. Close')
    admin.unsend(userid)
    admin.send(userid)
    admin.delete()
    admin.menuselect = adminmenuSelect

def respawnmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    respawn = popuplib.create('respawn_menu')
    respawn.addline('Respawn Menu')
    respawn.addline('You have %s Credits' %points[steamid]["credits"])
    respawn.addline(' ')
    respawn.addline('->1. Respawn Menu - Price: %s Credits' %buy_respawn)
    respawn.addline(' ')
    respawn.addline('->9. Back')
    respawn.addline('0. Close')
    respawn.unsend(userid)
    respawn.send(userid)
    respawn.delete()
    respawn.menuselect = respawnmenuSelect

def unlimitedammomenu(userid, args):
    steamid = es.getplayersteamid(userid)
    ammo = popuplib.create('unlimited_menu')
    ammo.addline('Unlimited Ammo')
    ammo.addline('You have %s Credits' %points[steamid]["credits"])
    ammo.addline(' ')
    ammo.addline('->1. Unlimited Ammo - Price: %s Credits' %buy_unlimitedammo)
    ammo.addline('->2. Unlimited Nades - Price: %s Credits' %buy_unlimitednades)
    ammo.addline(' ')
    ammo.addline('->9. Back')
    ammo.addline('0. Close')
    ammo.unsend(userid)
    ammo.send(userid)
    ammo.delete()
    ammo.menuselect = unlimitedammomenuSelect

def nofalldamagemenu(userid, args):
    steamid = es.getplayersteamid(userid)
    nodmg = popuplib.create('unlimited_menu')
    nodmg.addline('No Falldamage Menu')
    nodmg.addline('You have %s Credits' %points[steamid]["credits"])
    nodmg.addline(' ')
    nodmg.addline('->1. No Falldamage - Price: %s Credits' %buy_nofalldamage)
    nodmg.addline(' ')
    nodmg.addline('->9. Back')
    nodmg.addline('0. Close')
    nodmg.unsend(userid)
    nodmg.send(userid)
    nodmg.delete()
    nodmg.menuselect = nofalldamagemenuSelect

def hitmarkermenu(userid, args):
    steamid = es.getplayersteamid(userid)
    hitmarker = popuplib.create('unlimited_menu')
    hitmarker.addline('Hitmarker Menu')
    hitmarker.addline('You have %s Credits' %points[steamid]["credits"])
    hitmarker.addline(' ')
    hitmarker.addline('->1. Hitmarker - Price: %s Credits' %buy_hitmarker)
    hitmarker.addline(' ')
    hitmarker.addline('->9. Back')
    hitmarker.addline('0. Close')
    hitmarker.unsend(userid)
    hitmarker.send(userid)
    hitmarker.delete()
    hitmarker.menuselect = hitmarkermenuSelect

def shopSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if weapon_buy_menu_enabled == 1:
            buymenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 2:
        if spawn_menu_enabled == 1:
            spawnmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 3:
        if fun_features_menu_enabled == 1:
            funstuffmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 4:
        if health_menu_enabled == 1:
            healthmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 5:
        if kill_bonus_menu_enabled == 1:
            killbonusmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 6:
        if send_credits_menu_enabled == 1:
            sendcreditsamountmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 7:
        if sell_menu_enabled == 1:
            sellmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 8:
        shop2Menu(userid, None)
    elif choice == 9:
        if steamid in admins:
            if admin_menu_enabled == 1:
                adminmenu(userid, None)
            else: 
                tell(userid, "This feature has been disabled.")
                shopMenu(userid, None)
        else: shopMenu(userid, None)

def shop2Select(userid, choice, popupid):
    if choice == 1:
        if respawn_menu_enabled == 1:
            respawnmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shop2Menu(userid, None)
    elif choice == 2:
        if unlimited_ammo_menu_enabled == 1:
            unlimitedammomenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shop2Menu(userid, None)
    elif choice == 3:
        if no_falldamage_menu_enabled == 1:
            nofalldamagemenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shop2Menu(userid, None)
    elif choice == 4:
        if hitmarker_menu_enabled == 1:
            hitmarkermenu(userid, None)
        else:
            tell(userid, "This feature has been disabled.")
            shop2Menu(userid, None)
    if choice in (5, 6, 7, 8):
        shop2Menu(userid, None)
    elif choice == 9:
        shopMenu(userid, None)

def hitmarkermenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'hitmarker' in points[steamid] and points[steamid]['hitmarker'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_hitmarker:
                points[steamid]["hitmarker"] = 1
                points[steamid]["credits"] -= buy_hitmarker
                tell(userid, "You bought the Hitmarker feature. Everytime you hurt / flash an enemy you will see a hitmarker in the middle of your screen.")
            else:
                tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shop2Menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        hitmarkermenu(userid, None)

def respawnmenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'respawn' in points[steamid] and points[steamid]['respawn'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_respawn:
                points[steamid]["respawn"] = 1
                points[steamid]["credits"] -= buy_respawn
                tell(userid, "You bought the Respawn Menu feature. Everytime you die, a popup will appear, where you can choose to respawn or not.")
            else:
                tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shop2Menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        respawnmenu(userid, None)

def unlimitedammomenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'unlimitedammo' in points[steamid] and points[steamid]['unlimitedammo'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_unlimitedammo:
                points[steamid]["unlimitedammo"] = 1
                points[steamid]["credits"] -= buy_unlimitedammo
                tell(userid, "You bought the Unlimited Ammo Feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 2:
        if 'unlimitednades' in points[steamid] and points[steamid]['unlimitednades'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_unlimitednades:
                points[steamid]["unlimitednades"] = 1
                points[steamid]["credits"] -= buy_unlimitednades
                tell(userid, "You bought the Unlimited Nades Feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shop2Menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        unlimitedammomenu(userid, None)

def nofalldamagemenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'nofalldamage' in points[steamid] and points[steamid]['nofalldamage'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_nofalldamage:
                points[steamid]["nofalldamage"] = 1
                points[steamid]["credits"] -= buy_nofalldamage
                tell(userid, "You bought the No Falldamage Feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shop2Menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        nofalldamagemenu(userid, None)

def adminmenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        points[steamid]["credits"] += 1000
        tell(userid, "You got 1000 credits.")
    elif choice == 2:
        admin_send_credits = popuplib.construct('admin_send_credits', 'players', '#human', admin_send_credits_select)
        admin_send_credits.settitle("Send 1000 Credits to a Player:")
	popuplib.send('admin_send_credits', userid)
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 3, 4, 5, 6, 7, 8):
        adminmenu(userid, None)

def admin_send_credits_select(userid, choice, popupid):
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    points[rsteamid]["credits"] += 1000
    tell(userid, "You've sent 1000 credits to %s." %rname)
    tell(receiver, "Admin %s sent you 1000 credits." %name)
    popuplib.send('admin_send_credits', userid)
        
def scaSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["credits"] > 4:
            send_5_credits = popuplib.construct('send_5_credits', 'players', '#human', send_5_credits_select)
	    send_5_credits.settitle("Send 5 Credits to a Player:")
	    popuplib.send('send_5_credits', userid)
        else: 
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 2:
        if points[steamid]["credits"] > 9:
            send_10_credits = popuplib.construct('send_10_credits', 'players', '#human', send_10_credits_select)
	    send_10_credits.settitle("Send 10 Credits to a Player:")
	    popuplib.send('send_10_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 3:
        if points[steamid]["credits"] > 19:
            send_20_credits = popuplib.construct('send_20_credits', 'players', '#human', send_20_credits_select)
	    send_20_credits.settitle("Send 20 Credits to a Player:")
	    popuplib.send('send_20_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 4:
        if points[steamid]["credits"] > 49:
            send_50_credits = popuplib.construct('send_50_credits', 'players', '#human', send_50_credits_select)
	    send_50_credits.settitle("Send 50 Credits to a Player:")
	    popuplib.send('send_50_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 5:
        if points[steamid]["credits"] > 99:
            send_100_credits = popuplib.construct('send_100_credits', 'players', '#human', send_100_credits_select)
	    send_100_credits.settitle("Send 100 Credits to a Player:")
	    popuplib.send('send_100_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 6:
        if points[steamid]["credits"] > 199:
            send_200_credits = popuplib.construct('send_200_credits', 'players', '#human', send_200_credits_select)
	    send_200_credits.settitle("Send 200 Credits to a Player:")
	    popuplib.send('send_200_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 7:
        if points[steamid]["credits"] > 499:
            send_500_credits = popuplib.construct('send_500_credits', 'players', '#human', send_500_credits_select)
	    send_500_credits.settitle("Send 500 Credits to a Player:")
	    popuplib.send('send_500_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 8:
        if points[steamid]["credits"] > 999:
            send_1000_credits = popuplib.construct('send_1000_credits', 'players', '#human', send_1000_credits_select)
	    send_1000_credits.settitle("Send 1000 Credits to a Player:")
	    popuplib.send('send_1000_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 9:
        shopMenu(userid, None)

def send_5_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_5_credits', userid)
    else:
        points[steamid]["credits"] -= 5
        points[rsteamid]["credits"] += 5
        tell(userid, "You've sent 5 credits to %s." %rname)
        tell(receiver, "%s sent you 5 credits." %name)
        popuplib.send('send_5_credits', userid)

def send_10_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_10_credits', userid)
    else:
        points[steamid]["credits"] -= 10
        points[rsteamid]["credits"] += 10
        tell(userid, "You've sent 10 credits to %s." %rname)
        tell(receiver, "%s sent you 10 credits." %name)
        popuplib.send('send_10_credits', userid)

def send_20_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_20_credits', userid)
    else:
        points[steamid]["credits"] -= 20
        points[rsteamid]["credits"] += 20
        tell(userid, "You've sent 20 credits to %s." %rname)
        tell(receiver, "%s sent you 20 credits." %name)
        popuplib.send('send_20_credits', userid)

def send_50_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_50_credits', userid)
    else:
        points[steamid]["credits"] -= 50
        points[rsteamid]["credits"] += 50
        tell(userid, "You've sent 50 credits to %s." %rname)
        tell(receiver, "%s sent you 50 credits." %name)
        popuplib.send('send_50_credits', userid)

def send_100_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_100_credits', userid)
    else:
        points[steamid]["credits"] -= 100
        points[rsteamid]["credits"] += 100
        tell(userid, "You sent 100 credits to %s." %rname)
        tell(receiver, "%s sent you 100 credits." %name)
        popuplib.send('send_100_credits', userid)

def send_200_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_200_credits', userid)
    else:
        points[steamid]["credits"] -= 200
        points[rsteamid]["credits"] += 200
        tell(userid, "You've sent 200 credits to %s." %rname)
        tell(receiver, "%s sent you 200 credits." %name)
        popuplib.send('send_200_credits', userid)

def send_500_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_500_credits', userid)
    else:
        points[steamid]["credits"] -= 500
        points[steamid]["credits"] += 500
        tell(userid, "You've sent 500 credits to %s." %rname)
        tell(receiver, "%s sent you 500 credits." %name)
        popuplib.send('send_500_credits', userid)

def send1000_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_1000_credits', userid)
    else:
        points[steamid]["credits"] -= 1000
        points[rsteamid]["credits"] += 1000
        tell(userid, "You've sent 1000 credits to %s." %rname)
        tell(receiver, "%s sent you 1000 credits." %name)
        popuplib.send('send_1000_credits', userid)

def buymenuSelect(userid, choice, popupid):
    if choice == 1:
        pistolbuy(userid, None)
    elif choice == 2:
        shotgunbuy(userid, None)
    elif choice == 3:
        smgbuy(userid, None)
    elif choice == 4:
        riflebuy(userid, None)
    elif choice == 5:
        mgbuy(userid, None)
    elif choice == 6:
        equipbuy(userid, None)
    elif choice == 9:
        shopMenu(userid, None)

def pistolSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    secondary = playerlib.getPlayer(userid).getSecondary()
    if choice == 1:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] >= buy_glock:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_glock"))
                    points[steamid]["credits"] -= buy_glock
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] >= buy_usp:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_usp"))
                    points[steamid]["credits"] -= buy_usp
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 3:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] >= buy_p228:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_p228"))
                    points[steamid]["credits"] -= buy_p228
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 4:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] >= buy_deagle:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_deagle"))
                    points[steamid]["credits"] -= buy_deagle
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 5:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] >= buy_fiveseven:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_fiveseven"))
                    points[steamid]["credits"] -= buy_fiveseven
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 6:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] >= buy_elite:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_elite"))
                    points[steamid]["credits"] -= buy_elite
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        pistolbuy(userid, None)

def shotgunSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_m3:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m3"))
                    points[steamid]["credits"] -= buy_m3
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_autoshotgun:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_xm1014"))
                    points[steamid]["credits"] -= buy_autoshotgun
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        shotgunbuy(userid, None)

def smgSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_tmp:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_tmp"))
                    points[steamid]["credits"] -= buy_tmp
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_mp5:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_mp5navy"))
                    points[steamid]["credits"] -= buy_mp5
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 3:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_ump45:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_ump45"))
                    points[steamid]["credits"] -= buy_ump45
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 4:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_p90:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_p90"))
                    points[steamid]["credits"] -= buy_p90
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        smgbuy(userid, None)

def rifleSelect(userid, choice, popupid):
    if choice == 1:
        rifletbuy(userid, None)
    elif choice == 2:
        riflectbuy(userid, None)
    elif choice == 9:
        buymenu(userid, None)
    if choice in (3, 4, 5, 6, 7, 8):
        riflebuy(userid, None)

def rifletSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_galil:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_galil"))
                    points[steamid]["credits"] -= buy_galil
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_scout:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_scout"))
                    points[steamid]["credits"] -= buy_scout
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 3:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_ak:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_ak47"))
                    points[steamid]["credits"] -= buy_ak
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 4:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_krieg:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_sg552"))
                    points[steamid]["credits"] -= buy_krieg
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 5:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_awp:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_awp"))
                    points[steamid]["credits"] -= buy_awp
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 6:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_autosnipert:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_g3sg1"))
                    points[steamid]["credits"] -= buy_ak
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        riflebuy(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        rifletbuy(userid, None)

def riflectSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_famas:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_famas"))
                    points[steamid]["credits"] -= buy_famas
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_scout:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_scout"))
                    points[steamid]["credits"] -= buy_scout
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 3:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_m4:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m4a1"))
                    points[steamid]["credits"] -= buy_ak
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 4:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_bullpup:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_aug"))
                    points[steamid]["credits"] -= buy_bullpup
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 5:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_awp:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_awp"))
                    points[steamid]["credits"] -= buy_awp
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 6:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_autosniperct:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_sg550"))
                    points[steamid]["credits"] -= buy_ak
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        riflebuy(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        riflectbuy(userid, None)

def mgSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] >= buy_m249:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m249"))
                    points[steamid]["credits"] -= buy_m249
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        mgbuy(userid, None)

def equipSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    player = player = playerlib.getPlayer(userid)
    team = es.getplayerteam(userid)
    if choice == 1:
        if not isdead:
            if points[steamid]["credits"] >= buy_primammo:
                es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_primammo"))
                points[steamid]["credits"] -= buy_primammo
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 2:
        if not isdead:
            if points[steamid]["credits"] >= buy_secammo:
                es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_secammo"))
                points[steamid]["credits"] -= buy_secammo
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 3:
        if not isdead:
            if points[steamid]["credits"] >= buy_vest:
                es.server.queuecmd('es_xgive %s %s' % (userid, "item_kevlar"))
                points[steamid]["credits"] -= buy_vest
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 4:
        if not isdead:
            if points[steamid]["credits"] >= buy_vesthelm:
                es.server.queuecmd('es_xgive %s %s' % (userid, "item_assaultsuit"))
                points[steamid]["credits"] -= buy_vesthelm
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 5:
        if not isdead:
            if player.getFB() in (0, 1):
                if points[steamid]["credits"] >= buy_flashbang:
                    es.server.queuecmd('es_xgive %s weapon_flashbang' % userid)
                    points[steamid]["credits"] -= buy_flashbang
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You have too many flashbangs.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 6:
        if not isdead:
            if player.getHE() == 0:
                if points[steamid]["credits"] >= buy_hegrenade:
                    es.server.queuecmd('es_xgive %s weapon_hegrenade' % userid)
                    points[steamid]["credits"] -= buy_hegrenade
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a HE grenade.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 7:
        if not isdead:
            if player.getSG() == 0:
                if points[steamid]["credits"] >= buy_smoke:
                    es.server.queuecmd('es_xgive %s weapon_smokegrenade' % userid)
                    points[steamid]["credits"] -= buy_smoke
                else:
                    tell(userid, "You don't have enough credits to buy this.")
            else:
                tell(userid, 'You already have a Smoke grenade.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 8:
        if not isdead:
            if player.hasDefuser() == 0:
                if team == 3:
                    if points[steamid]["credits"] >= buy_defuser:
                        es.server.queuecmd('es_xgive %s item_defuser' % userid)
                        points[steamid]["credits"] -= buy_defuser
                    else:
                        tell(userid, "You don't have enough credits to buy this.")
                else:
                    tell(userid, "You can't buy a defuser if you are not a Counter-Terrorist.")
            else:
                tell(userid, 'You already have a defuser.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        equipbuy(userid, None)

def spawnmenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if 'akspawn' in points[steamid] and points[steamid]['akspawn'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_akspawn:
                points[steamid]["awpspawn"] = 0
                points[steamid]["m4spawn"] = 0
                points[steamid]["akspawn"] = 1
                points[steamid]["credits"] -= buy_akspawn
                tell(userid, 'You will get now an AK47 every time you spawn.')
                if not isdead:
                    if not primary:
                        es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_ak47"))
                    else:
                        tell(userid, "You will get now an AK47 every time you spawn. Couldn't give you a weapon now, because you already have a primary weapon.")
                else:
                    tell(userid, "You will get now an AK47 every time you spawn. Couldn't give you a weapon now, because you are dead.")
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 2:
        if 'm4spawn' in points[steamid] and points[steamid]['m4spawn'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_m4spawn:
                points[steamid]["akspawn"] = 0
                points[steamid]["awpspawn"] = 0
                points[steamid]["m4spawn"] = 1
                points[steamid]["credits"] -= buy_m4spawn
                tell(userid, 'You will get now a M4A1 every time you spawn.')
                if not isdead:
                    if not primary:
                        es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m4a1"))
                    else:
                        tell(userid, "You will get now a M4A1 every time you spawn. Couldn't give you a weapon now, because you already have a primary weapon.")
                else:
                    tell(userid, "You will get now a M4A1 every time you spawn. Couldn't give you a weapon now, because you are dead.")
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 3:
        if 'awpspawn' in points[steamid] and points[steamid]['awpspawn'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_awpspawn:
                points[steamid]["akspawn"] = 0
                points[steamid]["m4spawn"] = 0
                points[steamid]["awpspawn"] = 1
                points[steamid]["credits"] -= buy_awpspawn
                tell(userid, 'You will get now an AWP every time you spawn.')
                if not isdead:
                    if not primary:
                        es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_awp"))
                    else:
                        tell(userid, "You will get now an AWP every time you spawn. Couldn't give you a weapon now, because you already have a primary weapon.")
                else:
                    tell(userid, "You will get now an AWP every time you spawn. Couldn't give you a weapon now, because you are dead.")
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        spawnmenu(userid, None)

def funstuffSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    player = playerlib.getPlayer(userid)
    if choice == 1:
        if 'lgrav' in points[steamid] and points[steamid]['lgrav'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_lowgrav:
                points[steamid]["lgrav"] = 1
                points[steamid]["credits"] -= buy_lowgrav
                if not isdead:
                    es.server.queuecmd('es_fire %s !self addoutput "gravity 0.5"' % userid)
                    tell(userid, 'You bought the Low Gravity feature. Your gravity has been set to 0.5.')
                else:
                    tell(userid, 'You bought the Low Gravity feature. Your gravity will be set to 0.5 when you spawn.')
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 2:
        if 'speed' in points[steamid] and points[steamid]['speed'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_speed:
                points[steamid]["speed"] = 1
                points[steamid]["credits"] -= buy_speed
                if not isdead:
                    player.setSpeed("1.5")
                    tell(userid, 'You bought the Speed feature. Your speed has been set to 1.5.')
                else:
                    tell(userid, 'You bought the Speed feature. Your speed will be set to 1.5 when you spawn.')
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 3:
        if 'startmoney' in points[steamid] and points[steamid]['startmoney'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_startmoney:
                points[steamid]["startmoney"] = 1
                points[steamid]["credits"] -= buy_startmoney
                tell(userid, 'You bought 16000$ Startmoney Feature.')
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 4:
        if invis_menu_enabled == 1:
            invismenu(userid, None)
        else:
            tell(userid, "This features has been disabled.")
    elif choice == 5:
        if tracers_menu_enabled == 1:
            tracersmenu(userid, None)
        else:
            tell(userid, "This features has been disabled.")
    elif choice == 6:
        if skins_menu_enabled == 1:
            skinsmenu(userid, None)
        else:
            tell(userid, "This features has been disabled.")
    elif choice == 7:
        if trails_menu_enabled == 1:
            trailsmenu(userid, None)
        else:
            tell(userid, "This features has been disabled.")
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 2, 3, 8):
        funstuffmenu(userid, None)

def invisSelect(userid, choice, pupupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    player = playerlib.getPlayer(userid)
    if choice == 1:
        if 'halfinvis' in points[steamid] and points[steamid]['halfinvis'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_halfinvis:
                points[steamid]["fullinvis"] = 0
                points[steamid]["halfinvis"] = 1
                points[steamid]["credits"] -= buy_halfinvis
                if not isdead:
                    player.setColor(255, 255, 255, 100)
                    tell(userid, "You bought the half invisibility feature.")
                else: tell(userid, "You bought the half invisibilty feature. You will spawn now with half invisibility.")
            else:
                tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 2:
        if 'fullinvis' in points[steamid] and points[steamid]['fullinvis'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_fullinvis:
                points[steamid]["halfinvis"] = 0
                points[steamid]["fullinvis"] = 1
                points[steamid]["credits"] -= buy_fullinvis
                if not isdead:
                    player.setColor(255, 255, 255, 0)
                    tell(userid, "You bought the full invisibility feature.")
                else: tell(userid, "You bought the full invisibilty feature. You will spawn with full invisibility.")
            else:
                tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        funstuffmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        invismenu(userid, None)

def tracersSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'randomtracer' in points[steamid] and points[steamid]['randomtracer'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_randomtracer:
                points[steamid]["redtracer"] = 0
                points[steamid]["greentracer"] = 0
                points[steamid]["bluetracer"] = 0
                points[steamid]["randomtracer"] = 1
                points[steamid]["credits"] -= buy_randomtracer
                tell(userid, "You bought the random tracers feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 2:
        if 'redtracer' in points[steamid] and points[steamid]['redtracer'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_redtracer:
                points[steamid]["randomtracer"] = 0
                points[steamid]["greentracer"] = 0
                points[steamid]["bluetracer"] = 0
                points[steamid]["redtracer"] = 1
                points[steamid]["credits"] -= buy_redtracer
                tell(userid, "You bought the red tracers feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 3:
        if 'greentracer' in points[steamid] and points[steamid]['greentracer'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_greentracer:
                points[steamid]["randomtracer"] = 0
                points[steamid]["redtracer"] = 0
                points[steamid]["bluetracer"] = 0
                points[steamid]["greentracer"] = 1
                points[steamid]["credits"] -= buy_redtracer
                tell(userid, "You bought the green tracers feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 4:
        if 'bluetracer' in points[steamid] and points[steamid]['bluetracer'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_bluetracer:
                points[steamid]["randomtracer"] = 0
                points[steamid]["greentracer"] = 0
                points[steamid]["redtracer"] = 0
                points[steamid]["bluetracer"] = 1
                points[steamid]["credits"] -= buy_bluetracer
                tell(userid, "You bought the blue tracers feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        funstuffmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        tracersmenu(userid, None)

def skinsSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    player = playerlib.getPlayer(userid)
    if choice == 1:
        if 'superman' in points[steamid] and points[steamid]['superman'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_superman:
                points[steamid]['spiderman'] = 0
                points[steamid]['ironman'] = 0
                points[steamid]['bunny'] = 0
                points[steamid]['banana'] = 0
                points[steamid]['superman'] = 1
                points[steamid]['credits'] -= buy_superman
                if not isdead:
                    player.set('model', 'player/techknow/superman/superman.mdl')
                    tell(userid, 'You bought the Superman skin.')
                else:
                    tell(userid, 'You bought the Superman skin.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 2:
        if 'spiderman' in points[steamid] and points[steamid]['spiderman'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_spiderman:
                points[steamid]['superman'] = 0
                points[steamid]['ironman'] = 0
                points[steamid]['bunny'] = 0
                points[steamid]['banana'] = 0
                points[steamid]['spiderman'] = 1
                points[steamid]['credits'] -= buy_spiderman
                if not isdead:
                    player.set('model', 'player/techknow/spiderman3/spiderman3.mdl')
                    tell(userid, 'You bought the Superman skin.')
                else:
                    tell(userid, 'You bought the Spiderman skin.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 3:
        if 'ironman' in points[steamid] and points[steamid]['ironman'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_ironman:
                points[steamid]['superman'] = 0
                points[steamid]['spiderman'] = 0
                points[steamid]['bunny'] = 0
                points[steamid]['banana'] = 0
                points[steamid]['ironman'] = 1
                points[steamid]['credits'] -= buy_ironman
                if not isdead:
                    player.set('model', 'player/techknow/ironman_v3/ironman3.mdl')
                    tell(userid, 'You bought the Ironman skin.')
                else:
                    tell(userid, 'You bought the Ironman skin.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 4:
        if 'bunny' in points[steamid] and points[steamid]['bunny'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_bunny:
                points[steamid]['superman'] = 0
                points[steamid]['spiderman'] = 0
                points[steamid]['ironman'] = 0
                points[steamid]['banana'] = 0
                points[steamid]['bunny'] = 1
                points[steamid]['credits'] -= buy_bunny
                if not isdead:
                    player.set('model', 'player/slow/sam_and_max/max/slow_v2.mdl')
                    tell(userid, 'You bought the Bunny (Max) skin.')
                else:
                    tell(userid, 'You bought the Bunny (Max) skin.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 5:
        if 'banana' in points[steamid] and points[steamid]['banana'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_bananajoe:
                points[steamid]['superman'] = 0
                points[steamid]['spiderman'] = 0
                points[steamid]['ironman'] = 0
                points[steamid]['bunny'] = 0
                points[steamid]['banana'] = 1
                points[steamid]['credits'] -= buy_bananajoe
                if not isdead:
                    player.set('model', 'player/slow/banana_joe/slow.mdl')
                    tell(userid, 'You bought the Banana Joe skin.')
                else:
                    tell(userid, 'You bought the Banana Joe skin.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        funstuffmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        skinsmenu(userid, None)

def trailsSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'randomtrail' in points[steamid] and points[steamid]['randomtrail'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_randomtrail:
                points[steamid]['redtrail'] = 0
                points[steamid]['greentrail'] = 0
                points[steamid]['bluetrail'] = 0
                points[steamid]['randomtrail'] = 1
                points[steamid]['credits'] -= buy_randomtrail
                tell(userid, 'You will get the Random Coloured Trail next time you spawn.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 2:
        if 'redtrail' in points[steamid] and points[steamid]['redtrail'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_redtrail:
                points[steamid]['randomtrail'] = 0
                points[steamid]['greentrail'] = 0
                points[steamid]['bluetrail'] = 0
                points[steamid]['redtrail'] = 1
                points[steamid]['credits'] -= buy_redtrail
                tell(userid, 'You will get the Red Trail next time you spawn.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 3:
        if 'greentrail' in points[steamid] and points[steamid]['greentrail'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_greentrail:
                points[steamid]['randomtrail'] = 0
                points[steamid]['redtrail'] = 0
                points[steamid]['bluetrail'] = 0
                points[steamid]['greentrail'] = 1
                points[steamid]['credits'] -= buy_greentrail
                tell(userid, 'You will get the Green Trail next time you spawn.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 4:
        if 'bluetrail' in points[steamid] and points[steamid]['bluetrail'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]['credits'] >= buy_bluetrail:
                points[steamid]['randomtrail'] = 0
                points[steamid]['greentrail'] = 0
                points[steamid]['redtrail'] = 0
                points[steamid]['bluetrail'] = 1
                points[steamid]['credits'] -= buy_bluetrail
                tell(userid, 'You will get the Blue Trail next time you spawn.')
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        funstuffmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        trailsmenu(userid, None)

def healthSelect(userid, choice, popupid):
    if choice == 1:
        healthbuymenu(userid, None)
    elif choice == 2:
        healthroundstartmenu(userid, None)
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (3, 4, 5, 6, 7, 8):
        healthmenu(userid, None)

def healthbuymenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if choice == 1:
        if not isdead:
            if points[steamid]["credits"] >= buy_health10:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 10)
                tell(userid, 'You bought a health bonus of 10.')
                points[steamid]["credits"] -= buy_health10
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    if choice == 2:
        if not isdead:
            if points[steamid]["credits"] >= buy_health20:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 20)
                tell(userid, 'You bought a health bonus of 20.')
                points[steamid]["credits"] -= buy_health20
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    if choice == 3:
        if not isdead:
            if points[steamid]["credits"] >= buy_health30:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 30)
                tell(userid, 'You bought a health bonus of 30.')
                points[steamid]["credits"] -= buy_health30
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    if choice == 4:
        if not isdead:
            if points[steamid]["credits"] >= buy_health40:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 40)
                tell(userid, 'You bought a health bonus of 40.')
                points[steamid]["credits"] -= buy_health40
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    if choice == 5:
        if not isdead:
            if points[steamid]["credits"] >= buy_health50:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 50)
                tell(userid, 'You bought a health bonus of 50.')
                points[steamid]["credits"] -= buy_health50
            else:
                tell(userid, "You don't have enough credits to buy this.")
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 9:
        healthmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        healthbuymenu(userid, None)
        

def healthroundstartSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'starthealth10' in points[steamid] and points[steamid]['starthealth10'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_roundstarthealth10:
                points[steamid]["starthealth20"] = 0
                points[steamid]["starthealth30"] = 0
                points[steamid]["starthealth40"] = 0
                points[steamid]["starthealth50"] = 0
                points[steamid]["starthealth10"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth10
                tell(userid, 'You will get now a health bonus of 10 every round.')
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 2:
        if 'starthealth20' in points[steamid] and points[steamid]['starthealth20'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_roundstarthealth20:
                points[steamid]["starthealth10"] = 0
                points[steamid]["starthealth30"] = 0
                points[steamid]["starthealth40"] = 0
                points[steamid]["starthealth50"] = 0
                points[steamid]["starthealth20"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth20
                tell(userid, 'You will get now a health bonus of 20 every round.')
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 3:
        if 'starthealth30' in points[steamid] and points[steamid]['starthealth30'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_roundstarthealth30:
                points[steamid]["starthealth10"] = 0
                points[steamid]["starthealth20"] = 0
                points[steamid]["starthealth40"] = 0
                points[steamid]["starthealth50"] = 0
                points[steamid]["starthealth30"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth30
                tell(userid, 'You will get now a health bonus of 30 every round.')
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 4:
        if 'starthealth40' in points[steamid] and points[steamid]['starthealth40'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_roundstarthealth40:
                points[steamid]["starthealth10"] = 0
                points[steamid]["starthealth20"] = 0
                points[steamid]["starthealth30"] = 0
                points[steamid]["starthealth50"] = 0
                points[steamid]["starthealth40"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth40
                tell(userid, 'You will get now a health bonus of 40 every round.')
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 5:
        if 'starthealth50' in points[steamid] and points[steamid]['starthealth50'] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] >= buy_roundstarthealth50:
                points[steamid]["starthealth10"] = 0
                points[steamid]["starthealth20"] = 0
                points[steamid]["starthealth30"] = 0
                points[steamid]["starthealth40"] = 0
                points[steamid]["starthealth50"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth50
                tell(userid, 'You will get now a health bonus of 50 every round.')
            else:
                tell(userid, "You don't have enough credits to buy this.")
    elif choice == 9:
        healthmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        healthroundstartmenu(userid, None)

def killbonusSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'killbonus' in points[steamid] and points[steamid]['killbonus'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_killbonus:
                points[steamid]["headshotbonus"] = 0
                points[steamid]["killbonus"] = 1
                points[steamid]["credits"] -= buy_killbonus
                tell(userid, "You bought the kill bonus feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 2:
        if 'headshotbonus' in points[steamid] and points[steamid]['headshotbonus'] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] >= buy_headshotbonus:
                points[steamid]["killbonus"] = 0
                points[steamid]["headshotbonus"] = 1
                points[steamid]["credits"] -= buy_headshotbonus
                tell(userid, "You bought the headshot bonus feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        killbonusmenu(userid, None)



def sellSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    player = playerlib.getPlayer(userid)
    if choice == 1:
        if 'akspawn' not in points[steamid] or points[steamid]['akspawn'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["akspawn"] = 0
            points[steamid]["credits"] += buy_akspawn
            tell(userid, 'You got %s credits for selling AK Spawn Feature.' %buy_akspawn)
    elif choice == 2:
        if 'm4spawn' not in points[steamid] or points[steamid]['m4spawn'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["m4spawn"] = 0
            points[steamid]["credits"] += buy_m4spawn
            tell(userid, 'You got %s credits for selling M4 Spawn Feature.' %buy_m4spawn)
    elif choice == 3:
        if 'awpspawn' not in points[steamid] or points[steamid]['awpspawn'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["awpspawn"] = 0
            points[steamid]["credits"] += buy_awpspawn
            tell(userid, 'You got %s credits for selling AWP Spawn Feature.' %buy_awpspawn)
    elif choice == 4:
        if 'lgrav' not in points[steamid] or points[steamid]['lgrav'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["lgrav"] = 0
            points[steamid]["credits"] += buy_lowgrav
            es.server.queuecmd('es_fire %s !self addoutput "gravity 1.0"' % userid)
            tell(userid, 'You got %s credits for selling Low Gravity Feature.' %buy_lowgrav)
    elif choice == 5:
        if 'speed' not in points[steamid] or points[steamid]['speed'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["speed"] = 0
            points[steamid]["credits"] += buy_speed
            player.setSpeed("1")
            tell(userid, 'You got %s credits for selling Speed Feature.' %buy_speed)
    elif choice == 6:
        if 'startmoney' not in points[steamid] or points[steamid]['startmoney'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["startmoney"] = 0
            points[steamid]["credits"] += buy_startmoney
            tell(userid, 'You got %s credits for selling Startmoney Feature.' %buy_startmoney)
    elif choice == 7:
        if 'respawn' not in points[steamid] or points[steamid]['respawn'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["respawn"] = 0
            points[steamid]["credits"] += buy_respawn
            tell(userid, 'You got %s credits for selling Respawn Feature.' %buy_respawn)
    elif choice == 8:
        sell2menu(userid, None)
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7):
        sellmenu(userid, None)
        
def sell2Select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'starthealth10' not in points[steamid] or points[steamid]['starthealth10'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["starthealth10"] = 0
            points[steamid]["credits"] += buy_roundstarthealth10
            tell(userid, 'You got %s credits for selling Roundstart Health 10 Bonus Feature.' %buy_roundstarthealth10)
    elif choice == 2:
        if 'starthealth20' not in points[steamid] or points[steamid]['starthealth20'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["starthealth20"] = 0
            points[steamid]["credits"] += buy_roundstarthealth20
            tell(userid, 'You got %s credits for selling Roundstart Health 20 Bonus Feature.' %buy_roundstarthealth20)
    elif choice == 3:
        if 'starthealth30' not in points[steamid] or points[steamid]['starthealth30'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["starthealth30"] = 0
            points[steamid]["credits"] += buy_roundstarthealth30
            tell(userid, 'You got %s credits for selling Roundstart Health 30 Bonus Feature.' %buy_roundstarthealth30)
    elif choice == 4:
        if 'starthealth40' not in points[steamid] or points[steamid]['starthealth40'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["starthealth40"] = 0
            points[steamid]["credits"] += buy_roundstarthealth40
            tell(userid, 'You got %s credits for selling Roundstart Health 40 Bonus Feature.' %buy_roundstarthealth40)
    elif choice == 5:
        if 'starthealth50' not in points[steamid] or points[steamid]['starthealth50'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["starthealth50"] = 0
            points[steamid]["credits"] += buy_roundstarthealth50
            tell(userid, 'You got %s credits for selling Roundstart Health 50 Bonus Feature.' %buy_roundstarthealth50)
    elif choice == 6:
        if 'halfinvis' not in points[steamid] or points[steamid]['halfinvis'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["halfinvis"] = 0
            points[steamid]["credits"] += buy_halfinvis
            tell(userid, 'You got %s credits for selling Half Invisibility Feature.' %buy_halfinvis)
    elif choice == 7:
        if 'fullinvis' not in points[steamid] or points[steamid]['fullinvis'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["fullinvis"] = 0
            points[steamid]["credits"] += buy_fullinvis
            tell(userid, 'You got %s credits for selling Half Invisibility Feature.' %buy_fullinvis)
    elif choice == 8:
        sell3menu(userid, None)
    elif choice == 9:
        sellmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7):
        sell2menu(userid, None)

def sell3Select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'unlimitedammo' not in points[steamid] or points[steamid]['unlimitedammo'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["unlimitedammo"] = 0
            points[steamid]["credits"] += buy_unlimitedammo
            tell(userid, 'You got %s credits for selling Unlimited Ammo Feature.' %buy_unlimitedammo)
    elif choice == 2:
        if 'unlimitednades' not in points[steamid] or points[steamid]['unlimitednades'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["unlimitednades"] = 0
            points[steamid]["credits"] += buy_unlimitednades
            tell(userid, 'You got %s credits for selling Unlimited Ammo Feature.' %buy_unlimitednades)
    elif choice == 3:
        if 'randomtracer' not in points[steamid] or points[steamid]['randomtracer'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["randomtracer"] = 0
            points[steamid]["credits"] += buy_randomtracer
            tell(userid, 'You got %s credits for selling Random Coloured Tracers Feature.' %buy_randomtracer)
    elif choice == 4:
        if 'redtracer' not in points[steamid] or points[steamid]['redtracer'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["redtracer"] = 0
            points[steamid]["credits"] += buy_redtracer
            tell(userid, 'You got %s credits for selling Red Tracers Feature.' %buy_redtracer)
    elif choice == 5:
        if 'greentracer' not in points[steamid] or points[steamid]['greentracer'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["greentracer"] = 0
            points[steamid]["credits"] += buy_greentracer
            tell(userid, 'You got %s credits for selling Green Tracers Feature.' %buy_greentracer)
    elif choice == 6:
        if 'bluetracer' not in points[steamid] or points[steamid]['bluetracer'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["bluetracer"] = 0
            points[steamid]["credits"] += buy_bluetracer
            tell(userid, 'You got %s credits for selling Blue Tracers Feature.' %buy_bluetracer)
    elif choice == 7:
        if 'nofalldamage' not in points[steamid] or points[steamid]['nofalldamage'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["nofalldamage"] = 0
            points[steamid]["credits"] += buy_nofalldamage
            tell(userid, 'You got %s credits for selling No Falldamage Feature.' %buy_nofalldamage)
    elif choice == 8:
        sell4menu(userid, None)
    elif choice == 9:
        sell2menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7):
        sell3menu(userid, None)

def sell4Select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    team = es.getplayerteam(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    player = playerlib.getPlayer(userid)
    if choice == 1:
        if 'killbonus' not in points[steamid] or points[steamid]['killbonus'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["killbonus"] = 0
            points[steamid]["credits"] += buy_killbonus
            tell(userid, 'You got %s credits for selling Kill Bonus Feature.' %buy_killbonus)
    elif choice == 2:
        if 'headshotbonus' not in points[steamid] or points[steamid]['headshot'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["headshotbonus"] = 0
            points[steamid]["credits"] += buy_headshotbonus
            tell(userid, 'You got %s credits for selling Kill Bonus Feature.' %buy_headshotbonus)
    elif choice == 3:
        if 'superman' not in points[steamid] or points[steamid]['superman'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["superman"] = 0
            points[steamid]["credits"] += buy_superman
            tell(userid, 'You got %s credits for selling the Superman skin.' %buy_superman)
            if not isdead and team == 2:
                player.setModel('player/t_phoenix')
            if not isdead and team == 3:
                player.setModel('player/ct_sas')
    elif choice == 4:
        if 'spiderman' not in points[steamid] or points[steamid]['spiderman'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["spiderman"] = 0
            points[steamid]["credits"] += buy_spiderman
            tell(userid, 'You got %s credits for selling the Spiderman skin.' %buy_spiderman)
            if not isdead and team == 2:
                player.setModel('player/t_phoenix')
            if not isdead and team == 3:
                player.setModel('player/ct_sas')
    elif choice == 5:
        if 'ironman' not in points[steamid] or points[steamid]['ironman'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["ironman"] = 0
            points[steamid]["credits"] += buy_ironman
            tell(userid, 'You got %s credits for selling the Ironman skin.' %buy_ironman)
            if not isdead and team == 2:
                player.setModel('player/t_phoenix')
            if not isdead and team == 3:
                player.setModel('player/ct_sas')
    elif choice == 6:
        if 'bunny' not in points[steamid] or points[steamid]['bunny'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["bunny"] = 0
            points[steamid]["credits"] += buy_bunny
            tell(userid, 'You got %s credits for selling the Bunny (Max) skin.' %buy_bunny)
            if not isdead and team == 2:
                player.setModel('player/t_phoenix')
            if not isdead and team == 3:
                player.setModel('player/ct_sas')
    elif choice == 7:
        if 'banana' not in points[steamid] or points[steamid]['banana'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["banana"] = 0
            points[steamid]["credits"] += buy_bananajoe
            tell(userid, 'You got %s credits for selling the Banana Joe skin.' %buy_bananajoe)
            if not isdead and team == 2:
                player.setModel('player/t_phoenix')
            if not isdead and team == 3:
                player.setModel('player/ct_sas')
    elif choice == 8:
        sell5menu(userid, None)
    elif choice == 9:
        sell3menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7):
        sell4menu(userid, None)

def sell5Select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if 'randomtrail' not in points[steamid] or points[steamid]['randomtrail'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["randomtrail"] = 0
            points[steamid]["credits"] += buy_randomtrail
            gamethread.cancelDelayed('trail_%s'%userid)
            tell(userid, 'You got %s credits for selling the Random Trail.' %buy_randomtrail)
    elif choice == 2:
        if 'redtrail' not in points[steamid] or points[steamid]['redtrail'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["redtrail"] = 0
            points[steamid]["credits"] += buy_redtrail
            gamethread.cancelDelayed('trail2_%s'%userid)
            tell(userid, 'You got %s credits for selling the Red Trail.' %buy_redtrail)
    elif choice == 3:
        if 'greentrail' not in points[steamid] or points[steamid]['greentrail'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["greentrail"] = 0
            points[steamid]["credits"] += buy_greentrail
            gamethread.cancelDelayed('trail3_%s'%userid)
            tell(userid, 'You got %s credits for selling the Green Trail.' %buy_greentrail)
    elif choice == 4:
        if 'bluetrail' not in points[steamid] or points[steamid]['bluetrail'] == 0:
            tell(userid, "You don't have this feature!")
        else:
            points[steamid]["bluetrail"] = 0
            points[steamid]["credits"] += buy_bluetrail
            gamethread.cancelDelayed('trail4_%s'%userid)
            tell(userid, 'You got %s credits for selling the Blue Trail.' %buy_bluetrail)
    elif choice == 9:
        sell4menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        sell5menu(userid, None)

